## nas110v150src.zip

=== Makefile ===
# History:
#	2004/02/09 Matthew	Add ipv4 link-local addressing

export PATH=/usr/local/uclibc/bin:/bin:/usr/bin:/sbin:/usr/sbin

def_model       := $(strip $(shell if [ -f .lock ]; then cat .lock; fi))
def_company     := $(strip $(shell if [ -f .lock2 ]; then cat .lock2; fi))
def_model_ext   := $(strip $(shell if [ -f .lock3 ]; then cat .lock3; fi))

include config

# To make the following parameters to take effect,
# we should pass the variable into subdirectory.
ifeq ($(CONFIG_ARCH),MIPS_R3000)
COMMON_FLAGS	= -mips1 -mcpu=r3000
endif

ifeq ($(CONFIG_ARCH),MIPS_R4000)
COMMON_FLAGS	= -mips2 -mcpu=r4000
endif

RAMTMP		= /tmp/ramtmp
MOUNTPT 	= /mnt/xtmp0

INITRD 		= ramdisk
INITRDMOUNTPT	= /mnt/xtmp1
TARGET		= ramdisk.o
INITRDGZ	= ramdisk.gz

#GPP_INCLUDE_PATH = -I/usr/local/uclibc/include/c++/3.2 \
#		-I/usr/local/uclibc/include/c++/3.2/mipsel-linux
ifeq ($(CONFIG_STANDLIBC),y)
CROSS_COMPILE   =/usr/local/mipsel-linux/sbin/mipsel-linux-
else
CROSS_COMPILE   = mipsel-uclibc-
endif

CC		= $(CROSS_COMPILE)gcc
LD		= $(CROSS_COMPILE)ld
AR		= $(CROSS_COMPILE)ar
AS		= $(CROSS_COMPILE)as
STRIP           = $(CROSS_COMPILE)strip
RANLIB		= $(CROSS_COMPILE)ranlib
#GPP		= $(CROSS_COMPILE)g++ $(GPP_INCLUDE_PATH)

#export CROSS_COMPILE STRIP LD AR AS RANLIB COMPANY_NAME model GPP
export CROSS_COMPILE STRIP LD AR AS RANLIB COMPANY_NAME model

ORIG	= stage
ETC_DIR	= $(ORIG)/etc
RCS_SCRIPT_DIR	= $(ETC_DIR)/rc.d
INIT_SCRIPT_DIR	= $(RCS_SCRIPT_DIR)/init.d
USER_SCRIPT_DIR	= $(ORIG)/usr/sbin

SUBDIRS = \
	libmlinux \
	ash-0.4.8 \
	busybox-0.51 \
	util/getcfg util/pidof util/reboot util/sguard \
	util/Simple_IPv4_Link_Local_Addressing \
#	spooler/printer_server \
#	spooler/Broadcast \
#	ftp \

BIN_FILES = \
	ash-0.4.8/sh \
	busybox-0.51/busybox \
	util/getcfg/getcfg \
	util/pidof/pidof \
	util/reboot/reboot \
	util/sguard/sguard \
	util/Simple_IPv4_Link_Local_Addressing/AVH-IPv4LL \
#	spooler/printer_server/prnserver \
#	spooler/Broadcast/prnbcast \
#	ftp/ftp/ftp \

INIT_SCRIPTS = S19network S21start_hbled
USER_SCRIPTS =
ONCE_SCRIPTS = rcS
ETC_FILES = fstab passwd group inittab protocols services

ifeq ($(CONFIG_DHCP_CLIENT),y)
BIN_FILES += dhcp/dhcpcd 
ifeq ($(CONFIG_BPA),y)
BIN_FILES += bpalogin-2.0.1/bpalogin
endif
USER_SCRIPTS += dhcpc.script
endif

ifeq ($(CONFIG_DHCP_SERVER),y)
BIN_FILES += dhcp/dhcpd
INIT_SCRIPTS += S25dhcpd
endif

ifeq ($(CONFIG_NETPRN),y)
BIN_FILES += spooler/printer_server/prnserver spooler/Broadcast/prnbcast
SUBDIRS += spooler/printer_server spooler/Broadcast
endif

ifeq ($(CONFIG_DHCP_CLIENT),y)
SUBDIRS	+= dhcp bpalogin-2.0.1
else
ifeq ($(CONFIG_DHCP_SERVER),y)
SUBDIRS += dhcp
endif
endif

ifeq ($(CONFIG_ROUTER),y)
BIN_FILES += \
	iptables-1.2.4/iptables \
	routed/routed/routed	\
	rp-pppoe-2.6/pppoe  \
	dnsmasq-1.10/dnsmasq \
	ppp-2.4.0/pppd/pppd \
	ppp-2.4.0/chat/chat

SUBDIRS += iptables-1.2.4 ppp-2.4.0 rp-pppoe-2.6 routed dnsmasq-1.10 
INIT_SCRIPTS += S19network S30masq S40ipfilter S26routed S22ipalias S36dnsmasq
USER_SCRIPTS += adsl-connect adsl-start adsl-status adsl-stop adsl-setup
endif

ifeq ($(CONFIG_PPTP_SERVER),y)
BIN_FILES += pptpd-1.0.1/pptpd pptpd-1.0.1/pptpctrl 
SUBDIRS += pptpd-1.0.1
#ONCE_SCRIPTS += S45pptpd
INIT_SCRIPTS += S45pptpd
endif

ifeq ($(CONFIG_PPTP_CLIENT),y)
BIN_FILES += pptp-1.1.0/pptp
SUBDIRS += pptp-1.1.0
endif

ifeq ($(CONFIG_DDNS),y)
BIN_FILES += ez-ipupdate-3.0.10/ez-ipupdate util/monddns/monddns
SUBDIRS += ez-ipupdate-3.0.10 util/monddns
INIT_SCRIPTS += S20ddns
ETC_FILES += ddns.conf
SUBDIRS += dhrp
BIN_FILES +=dhrp/dhrpc
endif

ifeq ($(CONFIG_SNMP),y)
BIN_FILES += snmpd/snmpd 
SUBDIRS += snmpd 
INIT_SCRIPTS += S70snmpd
ETC_FILES += snmpd.conf
endif

ifeq ($(CONFIG_UPNP_MMS),y)
BIN_FILES += upnp_mms/upnp_mms
SUBDIRS += upnp_mms
INIT_SCRIPTS += S94upnp_mms
endif

ifeq ($(CONFIG_NTP),y)
SUBDIRS += ntp
BIN_FILES += ntp/ntpdate/ntpdate 
INIT_SCRIPTS += S99sntp
endif

ifeq ($(CONFIG_FTP),y)
SUBDIRS += bftpd
BIN_FILES += bftpd/bftpd
INIT_SCRIPTS += S53ftpd
endif

ifeq ($(CONFIG_WWW_SERVER),y)
SUBDIRS += boa/src
BIN_FILES += boa/src/boa
INIT_SCRIPTS += S91w3s
endif

ifeq ($(CONFIG_IPSEC),y)
SUBDIRS += freeswan-1.93
BIN_FILES += mawk/mawk
SUBDIRS += mawk

IPSECDIR = freeswan-1.93
IPSEC_SCRIPTDIR = $(IPSECDIR)/utils

#IPSEC_BIN_FILES = \
	$(IPSECDIR)/pluto/pluto $(IPSECDIR)/pluto/whack \
	$(IPSECDIR)/utils/_copyright $(IPSECDIR)/utils/ranbits $(IPSECDIR)/utils/rsasigkey \
	$(IPSECDIR)/klips/utils/spi $(IPSECDIR)/klips/utils/eroute $(IPSECDIR)/klips/utils/spigrp $(IPSECDIR)/klips/utils/tncfg $(IPSECDIR)/klips/utils/klipsdebug $(IPSECDIR)/klips/utils/pf_key

IPSEC_BIN_FILES = \
	$(IPSECDIR)/pluto/pluto $(IPSECDIR)/pluto/whack \
	$(IPSECDIR)/utils/_copyright \
	$(IPSECDIR)/klips/utils/spi $(IPSECDIR)/klips/utils/eroute $(IPSECDIR)/klips/utils/spigrp $(IPSECDIR)/klips/utils/tncfg $(IPSECDIR)/klips/utils/klipsdebug $(IPSECDIR)/klips/utils/pf_key

IPSEC_SCRIPT_FILES = \
	auto barf look manual newhostkey showdefaults showhostkey send-pr \
	_include _confread _keycensor _secretcensor _updown _realsetup _startklips _plutorun _plutoload

#ONCE_SCRIPTS += S80ipsec
INIT_SCRIPTS += S80ipsec
USER_SCRIPTS += ipsec
endif

ifeq ($(CONFIG_PRINTER_SERVER),y)
BIN_FILES += \
	util/hotplug/hotplug	\
	lpr/lpr/lpr	\
	lpr/lpd/lpd	\
	lpr/lpc/lpc	\
	lpr/lpq/lpq	\
	lpr/lprm/lprm

SUBDIRS += lpr util/hotplug
#ONCE_SCRIPTS += S39printer
endif

ifeq ($(CONFIG_NAS),y)
ifneq ($(CONFIG_USB_STORAGE_SERVER),y)
BIN_FILES += \
	e2fsprog-mipsel/misc/mke2fs \

SUBDIRS += e2fsprog-mipsel
endif
#	e2fsprog-mipsel/e2fsck/e2fsck \
#	e2fsprog-mipsel/misc/tune2fs \


ifeq ($(CONFIG_CIFS),y) 
BIN_FILES += \
	samba-2.2.0/source/bin/smbd \
	samba-64bit/source/nmbd \
	samba-64bit/source/smbpasswd \
	samba-64bit/source/smbrun \

SUBDIRS += des samba-64bit/source samba-2.2.0/source
ifeq ($(CONFIG_USB_STORAGE_SERVER),y)
INIT_SCRIPTS += S50smbd S10passwd
else
INIT_SCRIPTS += S50smbd S10passwd S49hdinit
endif
endif

ifeq ($(CONFIG_NFS),y)
BIN_FILES += nfs-utils/utils/nfsd/rpc.nfsd nfs-utils/utils/mountd/rpc.mountd nfs-utils/utils/exportfs/rpc.exportfs portmap/portmap
SUBDIRS += nfs-utils portmap 
INIT_SCRIPTS += S52nfsd
endif

ifeq ($(CONFIG_ATALK),y)
ifneq ($(CONFIG_STANDLIBC),y)
BIN_FILES += atalk/etc/afpd/afpd atalk/etc/atalkd/atalkd atalk/bin/nbp/nbprgstr atalk/bin/nbp/nbpunrgstr 
SUBDIRS += atalk
INIT_SCRIPTS += S51atalk
else
BIN_FILES += atalk.stdlib/etc/afpd/afpd atalk.stdlib/etc/atalkd/atalkd atalk.stdlib/bin/nbp/nbprgstr atalk.stdlib/bin/nbp/nbpunrgstr 
SUBDIRS += atalk.stdlib
#SUBDIRS += netatalk
INIT_SCRIPTS += S51atalk
endif
endif

ifeq ($(CONFIG_MAIL_SERVER),y)
BIN_FILES += qmail/maildirmake qmail/qmail-clean qmail/qmail-getpw \
qmail/qmail-local qmail/qmail-lspawn qmail/qmail-newu qmail/qmail-pop3d qmail/qmail-popup qmail/qmail-queue \
qmail/qmail-remote qmail/qmail-rspawn qmail/qmail-send qmail/qmail-smtpd qmail/qmail-start \
tcpserver/tcpserver softlimit/softlimit chkpass/checkpassword util/mail/mailexe

SUBDIRS += qmail tcpserver softlimit chkpass util/mail

QMAIL_SCRIPT_FILES = datemail elq mailsubj pinq qail qmail-qstat \
		     run-smtpd run-pop3d varqmail.tgz

INIT_SCRIPTS += S55checkmaildir S90maild
endif
endif

ifeq ($(CONFIG_RENDEZVOUS), y)
	INIT_SCRIPTS += S93Rendezvous

	SUBDIRS += mDNSResponder-58.3/mDNSPosix
	
	BIN_FILES += mDNSResponder-58.3/mDNSPosix/build/mDNSResponderPosix
endif


LIB_FILES += libmlinux/libmlinux.so

DEP_MODEL_DIRS= libmlinux util/getcfg util/pidof util/reboot mawk busybox-0.51

export BIN_FILES LIB_FILES IPSEC_BIN_FILES IPSEC_SCRIPT_FILES QMAIL_SCRIPT_FILES

.PHONY: all
all: lockconfig $(TARGET)

lockconfig :
ifneq ($(CONFIG_MODEL),$(def_model))
	@( \
	echo -n $(CONFIG_MODEL) > .lock; \
	)
	make clean_dep_model
endif
ifneq ($(CONFIG_COMPANY_NAME),$(def_company))
	@( \
	echo -n $(CONFIG_COMPANY_NAME) > .lock2; \
	)
	make clean_dep_model
endif
ifneq ($(CONFIG_MODEL_EXT),$(def_model_ext))
	@( \
	echo -n $(CONFIG_MODEL_EXT) > .lock3; \
	)
	make clean_dep_model
endif


$(TARGET): subdirs $(INITRD)
	@echo "MAKING RELOCATABLE OBJECT"
	gzip -9vfc $(INITRD) > $(INITRDGZ)
	#bzip2 -9c $(INITRD) > $(INITRDGZ)
	$(LD) -T initrd.ld -M -Map $(INITRD).map -b binary -o $@ $(INITRDGZ) 
	cp -f $(TARGET) ../linux/ramdisk.o

subdirs: premakeapp $(patsubst %, _dir_%, $(SUBDIRS))

premakeapp:
ifeq ($(CONFIG_STANDLIBC),y)
	cp -af samba-2.2.0/source/Makefile.lfs samba-2.2.0/source/Makefile
	cp -af samba-2.2.0/source/include/config.lfs samba-2.2.0/source/include/config.h
else
	cp -af samba-2.2.0/source/Makefile.sfs samba-2.2.0/source/Makefile
	cp -af samba-2.2.0/source/include/config.sfs samba-2.2.0/source/include/config.h
endif
	

$(patsubst %, _dir_%, $(SUBDIRS)) : dummy
	@echo '======== BUILDING IN $(patsubst _dir_%,%, $@) ==================='
ifeq ($(CONFIG_MAIL_SERVER),y)
	if [ "$(patsubst _dir_%,%, $@)" = "busybox-0.51" ]; then \
		echo 'update busybox-0.51 Config.mail' ; \
		cp -af busybox-0.51/Config.mail busybox-0.51/Config.h ;\
	fi
else
	if [ "$(patsubst _dir_%,%, $@)" = "busybox-0.51" ]; then \
		echo 'update busybox-0.51 Config.mail' ; \
		cp -af busybox-0.51/Config.mail busybox-0.51/Config.h ;\
	fi
endif

	$(MAKE) -C $(patsubst _dir_%, %, $@) CC=$(CC) LD=$(LD) AR=$(AR) AS=$(AS) STRIP=$(STRIP) RANLIB=$(RANLIB) MOUNTPT=$(MOUNTPT)

$(INITRD): dummy
	@echo '======== BUILDING $@ ==================='
	@if [ $$UID -ne 0 ]; then \
		echo ; \
		echo '******** ERROR: You must be root to build initrd' ; \
		echo ; \
		exit 1 ; \
	fi
	@echo "REMOVING OLD AND UNWANTED FILES AND $@"
	find stage \( -name '*.old' -o -name '.jrc' \) -print | xargs rm -f
	find stage \( -type b -o -type c -o -type l \) -print | xargs rm -f
	rm -f $@

	@# Before writing loop device file, unmount it first.
	@# Otherwise, related process will block.
	grep "$(MOUNTPT)" /etc/mtab > /dev/null ; [ $$? = 0 ] && umount $(MOUNTPT) 2> /dev/null ; true
	grep "$(INITRDMOUNTPT)" /etc/mtab > /dev/null ; [ $$? = 0 ] && umount $(INITRDMOUNTPT) 2> /dev/null ; true

	@echo "CREATING RAMDISK OF SIZE $(CONFIG_RDSIZE) on $@"
	dd if=/dev/zero of=$@ bs=1k count=$(CONFIG_RDSIZE)
	dd if=/dev/zero of=$(RAMTMP) bs=1k count=$(CONFIG_RDSIZE)
	@echo "MAKING ext2 FILESYSTEM ON RAMDISK"
	mke2fs -vFm0 -N 800 $@ $(CONFIG_RDSIZE)
	mke2fs -vFm0 -N 800 $(RAMTMP) $(CONFIG_RDSIZE)
	@echo "MOUNTING RAMDISK ON $(MOUNTPT)"
	if [ \! -e $(MOUNTPT) ]; then mkdir $(MOUNTPT) ; fi
	mkdir -p $(INITRDMOUNTPT)
	mount -o loop $(RAMTMP) $(MOUNTPT)
	@df $(MOUNTPT)
	@echo "COPYING ORIGINAL FILES FROM stage DIRECTORY TO $(MOUNTPT)"
	#(cd stage ; find * \( -type f -o -type b -o -type c -o -type l \) -print | \
		tar cTf - - ) | (cd $(MOUNTPT) && tar xf - )
	install -d $(MOUNTPT)/bin $(MOUNTPT)/dev
	cp $(ORIG)/dev/MAKEDEV $(MOUNTPT)/dev
ifeq ($(CONFIG_STANDLIBC),y)
	cp -a $(ORIG)/lib.libc25 $(MOUNTPT)/lib
else
	cp -a $(ORIG)/lib $(MOUNTPT)
endif
	@echo "COPY NECESSARY FILES TO $(MOUNTPT)"
	@( \
	install -d $(MOUNTPT)/etc/ppp; \
	mkdir -p $(MOUNTPT)/sbin; \
	for i in $$BIN_FILES; do \
		$(STRIP) -o $(MOUNTPT)/sbin/`basename $$i` $$i; \
		chmod +x $(MOUNTPT)/sbin/`basename $$i`; \
		echo "$(STRIP) -o $(MOUNTPT)/sbin/`basename $$i` $$i"; \
	done; \
	mkdir -p $(MOUNTPT)/lib; \
	for i in $$LIB_FILES; do \
		$(STRIP) -o $(MOUNTPT)/lib/`basename $$i` $$i; \
		chmod +x $(MOUNTPT)/lib/`basename $$i`; \
		echo "$(STRIP) -o $(MOUNTPT)/lib/`basename $$i` $$i"; \
	done; \
	install -d $(MOUNTPT)/etc/rc.d/init.d; \
	for i in $(patsubst %, $(INIT_SCRIPT_DIR)/%, $(INIT_SCRIPTS)); do \
		cp $$i $(MOUNTPT)/etc/rc.d/init.d/`basename $$i`; \
	done; \
	for i in $(patsubst %, $(ETC_DIR)/%, $(ETC_FILES)); do \
		cp $$i $(MOUNTPT)/etc/`basename $$i`; \
	done; \
	for i in $(patsubst %, $(RCS_SCRIPT_DIR)/%, $(ONCE_SCRIPTS)); do \
		cp $$i $(MOUNTPT)/etc/rc.d/`basename $$i`; \
	done; \
	install -d $(MOUNTPT)/usr/sbin; \
	for i in $(patsubst %, $(USER_SCRIPT_DIR)/%, $(USER_SCRIPTS)); do \
		cp $$i $(MOUNTPT)/usr/sbin/`basename $$i`; \
	done; \
	install -d $(MOUNTPT)/var/run; \
	)

ifeq ($(CONFIG_PPTP_SERVER),y)
	cp $(ETC_DIR)/ppp/options $(MOUNTPT)/etc/ppp;
endif

=== ash-0.4.8/Makefile ===
#	$NetBSD: Makefile,v 1.51 2000/12/29 16:30:31 bjh21 Exp $
#	@(#)Makefile	8.4 (Berkeley) 5/5/95

HOSTCC = gcc
WARNS=2
YHEADER=1
PROG=	sh
SHSRCS=	alias.c cd.c echo.c error.c eval.c exec.c expand.c \
	histedit.c input.c jobs.c mail.c main.c memalloc.c miscbltin.c \
	mystring.c options.c parser.c redir.c show.c trap.c output.c var.c \
	test.c setmode.c test.c
GENSRCS=builtins.c builtins.h init.c nodes.c arith.c arith.h lex.yy.c \
	nodes.h syntax.c syntax.h token.h signames.c
SRCS=	${SHSRCS} ${GENSRCS}

OBJS=alias.o cd.o bltin/echo.o error.o eval.o exec.o expand.o \
	histedit.o input.o jobs.o mail.o main.o memalloc.o miscbltin.o \
	mystring.o options.o output.o parser.o redir.o show.o \
	trap.o var.o bltin/test.o signames.o \
	builtins.o init.o nodes.o syntax.o arith.o lex.yy.o \
	setmode.o bltin/times.o

OPT_FLAGS=-Os -g
LDFLAGS=-g
CFLAGS=$(OPT_FLAGS) -DSHELL -I. -DNO_HISTORY -DBSD=1 -DSMALL -D_GNU_SOURCE \
	-DGLOB_BROKEN -D__COPYRIGHT\(x\)= -D__RCSID\(x\)= -D_DIAGASSERT\(x\)=
CFLAGS+=-D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64

all: $(PROG)

$(PROG): build-tools $(GENSRCS) $(GENHDRS) $(OBJS)
	$(CC) $(LDFLAGS) -o $(PROG) $(OBJS) $(LDLIBS)
	
lex.yy.c: arith_lex.l
	flex -8 $< 
	
CLEANFILES+= mkinit mkinit.o mknodes mknodes.o \
	mksyntax mksyntax.o
	
CLEANFILES+= ${GENSRCS} ${GENHDRS}

build-tools: mkinit mknodes mksyntax

.ORDER: builtins.c builtins.h
builtins.c builtins.h: mkbuiltins builtins.def
	sh mkbuiltins shell.h builtins.def `pwd`

INIT_DEPS = alias.c eval.c exec.c input.c jobs.c options.c parser.c \
	redir.c trap.c var.c output.c
	
init.c: mkinit $(INIT_DEPS)
	./mkinit $(INIT_DEPS)

mkinit: mkinit.c
	$(HOSTCC) -o $@ $<

mknodes: mknodes.c
	$(HOSTCC) -o $@ $<

mksyntax: mksyntax.c
	$(HOSTCC) -o $@ $<

signames.c: mksignames
	./mksignames

nodes.c nodes.h: mknodes nodetypes nodes.c.pat
	./mknodes ./nodetypes ./nodes.c.pat

syntax.c syntax.h: mksyntax
	./mksyntax

arith.c arith.h: arith.y
	yacc -d arith.y
	mv y.tab.h arith.h
	mv y.tab.c arith.c

token.h: mktokens
	sh ./mktokens

clean:
	rm -f $(PROG) $(OBJS) $(CLEANFILES) core

=== atalk.stdlib/Makefile ===
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Makefile.am for top level of netatalk package

SHELL = /bin/sh

srcdir = .
top_srcdir = .
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/netatalk
pkglibdir = $(libdir)/netatalk
pkgincludedir = $(includedir)/netatalk
top_builddir = .

ACLOCAL = ${SHELL} /home/louis/netatalk-1.5.3.1/missing --run aclocal
AUTOCONF = ${SHELL} /home/louis/netatalk-1.5.3.1/missing --run autoconf
AUTOMAKE = ${SHELL} /home/louis/netatalk-1.5.3.1/missing --run automake
AUTOHEADER = ${SHELL} /home/louis/netatalk-1.5.3.1/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = i686-pc-linux-gnu
build_triplet = i686-pc-linux-gnu
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_alias = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
AFPD_LIBS = 
AFS_CFLAGS = 
AFS_LIBS = 
AMTAR = ${SHELL} /home/louis/netatalk-1.5.3.1/missing --run tar
#AS = @AS@
AWK = mawk
#CC = gcc
CFLAGS = -I$(top_srcdir)/include -g -O2 -I$(top_srcdir)/sys
CFLAGS+=-D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
DB3_CFLAGS = 
DB3_LIBS = 
DB3_PATH = 
DEPDIR = .deps
DLLTOOL = @DLLTOOL@
ECHO = echo
EXEEXT = 
GREP = /bin/grep
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBS = -ldl -lcrypt  -L$(top_srcdir)/libatalk
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
NETATALK_VERSION = 1.5.3.1
NLSDIR = ${prefix}/etc/netatalk/nls
OBJDUMP = @OBJDUMP@
OBJEXT = o
OVERWRITE_CONFIG = no
PACKAGE = netatalk
PAMDIR = NONE
PAM_CFLAGS = 
PAM_LIBS = 
PAPD_LIBS = 
PERL = /usr/bin/perl
PKGCONFDIR = ${prefix}/etc/netatalk
PS = /bin/ps
QUOTA_LIBS = -lrpcsvc
#RANLIB = ranlib
SERVERTEXT = @SERVERTEXT@
SLP_CFLAGS = 
SLP_LIBS = 
SSL_CFLAGS = 
SSL_LIBS = 
#STRIP = strip
UAMS_PATH = ${prefix}/etc/netatalk/uams
VERSION = 1.5.3.1
am__include = include
am__quote = 
install_sh = /home/louis/netatalk-1.5.3.1/install-sh

#SUBDIRS = libatalk config etc contrib distrib include bin sys macros
SUBDIRS = libatalk etc include bin 

EXTRA_DIST = CHANGES CONTRIBUTORS COPYRIGHT COPYING ChangeLog \
	TODO VERSION services.atalk


ACLOCAL_AMFLAGS = -I macros
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
DIST_SOURCES =

RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
	uninstall-info-recursive all-recursive install-data-recursive \
	install-exec-recursive installdirs-recursive install-recursive \
	uninstall-recursive check-recursive installcheck-recursive
DIST_COMMON = README ./stamp-h.in COPYING ChangeLog Makefile.am \
	Makefile.in NEWS TODO acconfig.h aclocal.m4 compile \
	config.guess config.h.in config.sub configure configure.in \
	depcomp install-sh ltmain.sh missing mkinstalldirs
DIST_SUBDIRS = $(SUBDIRS)
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$@ $(SHELL) ./config.status

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

#$(ACLOCAL_M4):  configure.in macros/afs-check.m4 macros/config-checks.m4 macros/db3-check.m4 macros/grep-check.m4 macros/pam-check.m4 macros/perl-check.m4 macros/ps-check.m4 macros/quota-check.m4 macros/srvloc.m4 macros/ssl-check.m4
#	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
config.h: stamp-h
	@if test ! -f $@; then \
		rm -f stamp-h; \
		$(MAKE) stamp-h; \
	else :; fi
stamp-h: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h stamp-hT
	@echo timestamp > stamp-hT 2> /dev/null
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=config.h \
	     $(SHELL) ./config.status
	@mv stamp-hT stamp-h
$(srcdir)/config.h.in:  $(srcdir)/./stamp-h.in
	@if test ! -f $@; then \
		rm -f $(srcdir)/./stamp-h.in; \
		$(MAKE) $(srcdir)/./stamp-h.in; \
	else :; fi
$(srcdir)/./stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/acconfig.h
	@rm -f $(srcdir)/./stamp-h.in $(srcdir)/./stamp-h.inT
	@echo timestamp > $(srcdir)/./stamp-h.inT 2> /dev/null
	cd $(top_srcdir) && $(AUTOHEADER)
	@mv $(srcdir)/./stamp-h.inT $(srcdir)/./stamp-h.in

distclean-hdr:
	-rm -f config.h
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)config.h.in$$unique$(LISP)$$tags" \
	  || etags $(ETAGS_ARGS) $$tags config.h.in $$unique $(LISP)

GTAGS:
	here=`CDPATH=: && cd $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = .
# Avoid unsightly `./'.
distdir = $(PACKAGE)-$(VERSION)

GZIP_ENV = --best

distdir: $(DISTFILES)
	-chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
	mkdir $(distdir)
	$(mkinstalldirs) $(distdir)/bin/cnid $(distdir)/contrib/macusers $(distdir)/contrib/nu $(distdir)/contrib/shell_utils $(distdir)/distrib/config $(distdir)/sys/solaris
	@for file in $(DISTFILES); do \
	  if test -f $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    $(mkinstalldirs) "$(distdir)/$$dir"; \
	  fi; \
	  if test -d $$d/$$file; then \
	    cp -pR $$d/$$file $(distdir) \
	    || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	for subdir in $(SUBDIRS); do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
	|| chmod -R a+r $(distdir)
dist: distdir
	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	-chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	-chmod -R a+w $(distdir) > /dev/null 2>&1; rm -rf $(distdir)
	GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
	chmod -R a-w $(distdir); chmod a+w $(distdir)
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	chmod a-w $(distdir)
	dc_install_base=`CDPATH=: && cd $(distdir)/=inst && pwd` \
	  && cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
	     || (echo "Error: files left after uninstall" 1>&2; \
	         exit 1) ) \
	  && $(MAKE) $(AM_MAKEFLAGS) dist \
	  && $(MAKE) $(AM_MAKEFLAGS) distclean \
	  && rm -f $(distdir).tar.gz \
	  && (test `find . -type f -print | wc -l` -eq 0 \
	     || (echo "Error: files left after distclean" 1>&2; \
	         exit 1) )
	-chmod -R a+w $(distdir) > /dev/null 2>&1; rm -rf $(distdir)
	@echo "$(distdir).tar.gz is ready for distribution" | \
	  sed 'h;s/./=/g;p;x;p;x'
check-am: all-am
check: check-recursive

=== bftpd/Makefile ===
# Generated automatically from Makefile.in by configure.
include ../config
VERSION=1.0.23
#CC=gcc
INSTALL=/usr/bin/install -c
#CFLAGS=-g -O2 -DHAVE_CONFIG_H -Wall -I. -DVERSION=\"$(VERSION)\" -DDEBUG=1
CFLAGS=-g -Os -DHAVE_CONFIG_H -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -Wall -I. -DVERSION=\"$(VERSION)\"
CFLAGS += -DSG600 -I../libmlinux
ifeq ($(CONFIG_USB_STORAGE_SERVER),y)
CFLAGS += -DUSB_STORAGE_SERVER -DDEBUG=1
endif
LIBS= -lcrypt -L../libmlinux -lmlinux
prefix=/usr
mandir=${prefix}/man
sbindir=${exec_prefix}/sbin
DESTDIR=
DIRPAX=
PAX=

HEADERS=bftpdutmp.h commands.h commands_admin.h cwd.h dirlist.h login.h logging.h main.h mystring.h options.h targzip.h mypaths.h
OBJS=bftpdutmp.o commands.o commands_admin.o cwd.o dirlist.o login.o logging.o main.o mystring.o options.o
SRCS=bftpdutmp.c commands.c commands_admin.c cwd.c dirlist.c login.c logging.c main.c mystring.c options.c

OBJS2LINK=$(OBJS) $(PAX)
LDFLAGS=

all: bftpd

bftpd: $(OBJS)
	./mksources $(DIRPAX)
	$(CC) $(OBJS2LINK) $(LDFLAGS) $(LIBS) -o bftpd

$(OBJS): $(HEADERS) Makefile

install: all
	$(INSTALL) -g 0 -m 700 -o 0 bftpd $(DESTDIR)/$(prefix)/sbin
	$(INSTALL) -g 0 -m 644 -o 0 bftpd.8 $(DESTDIR)/$(mandir)/man8
	[ -f $(DESTDIR)/etc/bftpd.conf ] || \
		$(INSTALL) -g 0 -m 600 -o 0 bftpd.conf $(DESTDIR)/etc
	touch /var/log/bftpd.log
	chmod 644 /var/log/bftpd.log
	mkdir -p /var/run/bftpd
	chmod 755 /var/run/bftpd

clean distclean:
	rm -f *~ $(OBJS) bftpd mksources.finished
	[ "$(DIRPAX)" = "" ] || make -C $(DIRPAX) clean

newversion: clean
	cat Makefile.in | sed -e s/$(VERSION)/$(NEWVERSION)/g > Makefile.foo
	mv Makefile.foo Makefile.in
	./configure --enable-pax=pax --enable-libz --enable-pam

uninstall:
	rm -f $(DESTDIR)/$(prefix)/sbin/bftpd $(DESTDIR)/$(mandir)/man8/bftpd.8 \
		$(DESTDIR)/etc/bftpd.conf

distribute: install
	rm -rf dist
	mkdir dist
	# Build source tarball
	rm -rf bftpd-$(VERSION)
	mkdir bftpd-$(VERSION)
	autoconf
	autoheader configure.in > config.h.in
	mkdir bftpd-$(VERSION)/doc
	cp CHANGELOG COPYING Makefile.in $(SRCS) $(HEADERS) \
	configure.in configure config.h.in bftpd.conf install-sh mksources \
	bftpd.spec.in acconfig.h bftpd.8 bftpd-$(VERSION)
	cp -r doc bftpd-$(VERSION)
	cd bftpd-$(VERSION)/doc/en && sgml2txt bftpddoc-en.sgml
	cd bftpd-$(VERSION) && ln -s doc/en/bftpddoc-en.txt INSTALL
	cd bftpd-$(VERSION) && ln -s doc/en/bftpddoc-en.txt README
	rm -f -r debian/tmp
	cp -a debian bftpd-$(VERSION)
	tar c bftpd-$(VERSION) | gzip -v9 > dist/bftpd-$(VERSION).tar.gz
	cp -Lr pax bftpd-$(VERSION)
	tar c bftpd-$(VERSION) | gzip -v9 > bftpd-$(VERSION)-pax.tar.gz
	# Build binary RPM
	./configure --enable-pam --enable-libz --enable-pax=pax && make install
	cat bftpd.spec.in | sed -e 's/VERSION/$(VERSION)/g' \
	> bftpd-$(VERSION)-1.spec
	rpm -bb bftpd-$(VERSION)-1.spec
	rm -f bftpd-$(VERSION)-1.spec
	cp -a /usr/src/rpm/RPMS/i386/bftpd-$(VERSION)-1.i386.rpm \
	dist/bftpd-$(VERSION).i386.rpm
	# Build binary DEB
	mv bftpd-$(VERSION)-pax.tar.gz bftpd-$(VERSION).tar.gz
	cd bftpd-$(VERSION) && (\
		cat debian/changelog.in | sed -e 's/VERSION/$(VERSION)/g' \
			> debian/changelog; \
		dpkg-buildpackage; \
	) && cd ..
	rm -f bftpd-$(VERSION).tar.gz
	cp bftpd_$(VERSION)-1_i386.deb dist
	rm -f bftpd_*
	# Remove temporary directory
	rm -rf bftpd-$(VERSION)

=== busybox-0.51/Makefile ===
# Makefile for busybox
#
# Copyright (C) 1999,2000,2001 Erik Andersen <andersee@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
include ../config
PROG      := busybox
VERSION   := 0.51
BUILDTIME := $(shell TZ=UTC date --utc "+%Y.%m.%d-%H:%M%z")
export VERSION

# With a modern GNU make(1) (highly recommended, that's what all the
# developers use), all of the following configuration values can be
# overridden at the command line.  For example:
#   make CROSS=powerpc-linux- BB_SRC_DIR=$HOME/busybox PREFIX=/mnt/app

# If you want to add some simple compiler switches (like -march=i686),
# especially from the command line, use this instead of CFLAGS directly.
# For optimization overrides, it's better still to set OPTIMIZATION.
#CFLAGS_EXTRA =  -I../libmlinux
 
# If you want a static binary, turn this on.
#DOSTATIC = true

# Set the following to `true' to make a debuggable build.
# Leave this set to `false' for production use.
# eg: `make DODEBUG=true tests'
# Do not enable this for production builds...
#DODEBUG = true

# Setting this to `true' will cause busybox to directly use the system's
# password and group functions.  Assuming you use GNU libc, when this is
# `true', you will need to install the /etc/nsswitch.conf configuration file
# and the required libnss_* libraries. This generally makes your embedded
# system quite a bit larger... If you leave this off, busybox will directly
# use the /etc/password, /etc/group files (and your system will be smaller, and
# I will get fewer emails asking about how glibc NSS works).  Enabling this adds
# just 1.4k to the binary size (which is a _lot_ less then glibc NSS costs),
# Most people will want to leave this set to false.
USE_SYSTEM_PWD_GRP = true

# This enables compiling with dmalloc ( http://dmalloc.com/ )
# which is an excellent public domain mem leak and malloc problem
# detector.  To enable dmalloc, before running busybox you will
# want to first set up your environment.
# eg: `export DMALLOC_OPTIONS=debug=0x14f47d83,inter=100,log=logfile`
# Do not enable this for production builds...
DODMALLOC = false

# Electric-fence is another very useful malloc debugging library.
# Do not enable this for production builds...
DOEFENCE  = false

# If you want large file summit support, turn this on.
# This has no effect if you don't have a kernel with lfs
# support, and a system with libc-2.1.3 or later.
# Some of the programs that can benefit from lfs support
# are dd, gzip, mount, tar, and mkfs_minix.
# LFS allows you to use the above programs for files
# larger than 2GB!
DOLFS = true

# If you have a "pristine" source directory, point BB_SRC_DIR to it.
# Experimental and incomplete; tell the mailing list
# <busybox@opensource.lineo.com> if you do or don't like it so far.
BB_SRC_DIR =

# If you are running a cross compiler, you may want to set this
# to something more interesting, like "powerpc-linux-".
CROSS = mipsel-linux-
CC = $(CROSS)gcc
AR = $(CROSS)ar
RANLIB = $(CROSS)ranlib
STRIPTOOL = $(CROSS)strip

# To compile vs uClibc, just use the compiler wrapper built by uClibc...
# This make things very easy?  Everything should compile and work as
# expected these days...
#CC = ../uClibc/extra/gcc-uClibc/i386-uclibc-gcc

# To compile vs some other alternative libc, you may need to use/adjust
# the following lines to meet your needs...
#
# If you are using Red Hat 6.x with the compatible RPMs (for developing under
# Red Hat 5.x and glibc 2.0) uncomment the following.  Be sure to read about
# using the compatible RPMs (compat-*) at http://www.redhat.com !
#LIBCDIR=/usr/i386-glibc20-linux
#
# The following is used for libc5 (if you install altgcc and libc5-altdev
# on a Debian system).  
#LIBCDIR=/usr/i486-linuxlibc1
#
# For other libraries, you are on your own...
#LDFLAGS+=-nostdlib
#LIBRARIES = $(LIBCDIR)/lib/libc.a -lgcc
#CROSS_CFLAGS+=-nostdinc -I$(LIBCDIR)/include -I$(GCCINCDIR)
#GCCINCDIR = $(shell gcc -print-search-dirs | sed -ne "s/install: \(.*\)/\1include/gp")

# use '-Os' optimization if available, else use -O2
OPTIMIZATION := $(shell if $(CC) -Os -S -o /dev/null -xc /dev/null >/dev/null 2>&1; \
    then echo "-Os"; else echo "-O2" ; fi)

WARNINGS = -Wall -Wshadow

ARFLAGS = -r

#ADDED BY LOUISTSAI 2002/10/22
#LDFLAGS+= -L../libmlinux -lmlinux



#
#--------------------------------------------------------
# If you're going to do a lot of builds with a non-vanilla configuration,
# it makes sense to adjust parameters above, so you can type "make"
# by itself, instead of following it by the same half-dozen overrides
# every time.  The stuff below, on the other hand, is probably less
# prone to casual user adjustment.
# 

ifeq ($(strip $(DOLFS)),true)
    # For large file summit support
	CFLAGS+=-D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
endif
ifeq ($(strip $(DODMALLOC)),true)
    # For testing mem leaks with dmalloc
    CFLAGS+=-DDMALLOC
    LIBRARIES = -ldmalloc
    # Force debug=true, since this is useless when not debugging...
    DODEBUG = true
else
    ifeq ($(strip $(DOEFENCE)),true)
	LIBRARIES = -lefence
	# Force debug=true, since this is useless when not debugging...
	DODEBUG = true
    endif
endif
ifeq ($(strip $(DODEBUG)),true)
    CFLAGS  += $(WARNINGS) -g -D_GNU_SOURCE
    LDFLAGS += -Wl,-warn-common
    STRIP    =
else
    CFLAGS  += $(WARNINGS) $(OPTIMIZATION) -fomit-frame-pointer -D_GNU_SOURCE
    LDFLAGS += -s -Wl,-warn-common
    STRIP    = $(STRIPTOOL) --remove-section=.note --remove-section=.comment $(PROG)
endif
ifeq ($(strip $(DOSTATIC)),true)
    LDFLAGS += --static
    #
    #use '-ffunction-sections -fdata-sections' and '--gc-sections' (if they 
    # work) to try and strip out any unused junk.  Doesn't do much for me, 
    # but you may want to give it a shot...
    #
    #ifeq ($(shell $(CC) -ffunction-sections -fdata-sections -S \
    #	-o /dev/null -xc /dev/null 2>/dev/null && $(LD) \
    #			--gc-sections -v >/dev/null && echo 1),1)
    #	CFLAGS += -ffunction-sections -fdata-sections
    #	LDFLAGS += --gc-sections
    #endif
endif

ifndef $(PREFIX)
    PREFIX = `pwd`/_install
endif

# Additional complications due to support for pristine source dir.
# Include files in the build directory should take precedence over
# the copy in BB_SRC_DIR, both during the compilation phase and the
# shell script that finds the list of object files.
# Work in progress by <ldoolitt@recycle.lbl.gov>.
#
ifneq ($(strip $(BB_SRC_DIR)),)
    VPATH = $(BB_SRC_DIR)
endif
#ifneq ($(strip $(VPATH)),)
#    CFLAGS += -I- -I. $(patsubst %,-I%,$(subst :, ,$(VPATH)))
#endif

# We need to set APPLET_SOURCES to something like
#   $(shell busybox.sh Config.h)
# but in a manner that works with VPATH and BB_SRC_DIR.
# Possible ways to approach this:
#
#   1. Explicitly search through .:$(VPATH) for busybox.sh and config.h,
#      then $(shell $(BUSYBOX_SH) $(CONFIG_H) $(BB_SRC_DIR))
#
#   2. Explicity search through .:$(VPATH) for slist.mk,
#      then $(shell $(MAKE) -f $(SLIST_MK) VPATH=$(VPATH) BB_SRC_DIR=$(BB_SRC_DIR))
#
#   3. Create slist.mk in this directory, with commands embedded in
#      a $(shell ...) command, and $(MAKE) it immediately.
#
#   4. Use a real rule within this makefile to create a file that sets 
#      APPLET_SOURCE_LIST, then include that file.  Has complications
#      with the first trip through the makefile (before processing the
#      include) trying to do too much, and a spurious warning the first
#      time make is run.
#
# This is option 3:
#
#APPLET_SOURCES = $(shell \
#   echo -e 'all: busybox.sh Config.h\n\t@ $$(SHELL) $$^ $$(BB_SRC_DIR)' >slist.mk; \
#   make -f slist.mk VPATH=$(VPATH) BB_SRC_DIR=$(BB_SRC_DIR) \
#)
# And option 4:
-include applet_source_list

OBJECTS   = $(APPLET_SOURCES:.c=.o) busybox.o messages.o usage.o applets.o
CFLAGS    += $(CROSS_CFLAGS)
CFLAGS    += -DBB_VER='"$(VERSION)"'
CFLAGS    += -DBB_BT='"$(BUILDTIME)"'
ifdef BB_INIT_SCRIPT
    CFLAGS += -DINIT_SCRIPT='"$(BB_INIT_SCRIPT)"'
endif

ifeq ($(CONFIG_MODEL),SG100)
CFLAGS	+= -DSG100
endif

ifneq ($(strip $(USE_SYSTEM_PWD_GRP)),true)
    PWD_GRP	= pwd_grp
    PWD_GRP_DIR = $(BB_SRC_DIR:=/)$(PWD_GRP)
    PWD_LIB     = libpwd.a
    PWD_CSRC=__getpwent.c pwent.c getpwnam.c getpwuid.c putpwent.c getpw.c \
	    fgetpwent.c __getgrent.c grent.c getgrnam.c getgrgid.c fgetgrent.c \
	    initgroups.c setgroups.c
    PWD_OBJS=$(patsubst %.c,$(PWD_GRP)/%.o, $(PWD_CSRC))
    PWD_CFLAGS = -I$(PWD_GRP_DIR)
else
    CFLAGS    += -DUSE_SYSTEM_PWD_GRP
endif
    
LIBBB	  = libbb
LIBBB_LIB = libbb.a
LIBBB_CSRC= ask_confirmation.c check_wildcard_match.c chomp.c copy_file.c \
copy_file_chunk.c create_path.c daemon.c device_open.c error_msg.c \
find_mount_point.c find_pid_by_name.c find_root_device.c full_read.c \
full_write.c get_console.c get_last_path_component.c get_line_from_file.c \
human_readable.c inode_hash.c isdirectory.c kernel_version.c loop.c \
mode_string.c parse_mode.c parse_number.c print_file.c process_escape_sequence.c \
my_getgrgid.c my_getpwnamegid.c my_getpwuid.c my_getgrnam.c my_getpwnam.c \
recursive_action.c safe_read.c safe_strncpy.c syscalls.c module_syscalls.c \
syslog_msg_with_name.c time_string.c trim.c vdprintf.c wfopen.c xfuncs.c \
xregcomp.c error_msg_and_die.c perror_msg.c perror_msg_and_die.c \
verror_msg.c vperror_msg.c mtab.c mtab_file.c xgetcwd.c concat_path_file.c

LIBBB_OBJS=$(patsubst %.c,$(LIBBB)/%.o, $(LIBBB_CSRC))
LIBBB_CFLAGS = -I$(LIBBB)
ifneq ($(strip $(BB_SRC_DIR)),)
    LIBBB_CFLAGS += -I$(BB_SRC_DIR)/$(LIBBB)
endif


# Put user-supplied flags at the end, where they
# have a chance of winning.
CFLAGS += $(CFLAGS_EXTRA)

.EXPORT_ALL_VARIABLES:

#all: applet_source_list busybox busybox.links doc
all: applet_source_list busybox

dyn_config:
ifeq ($(CONFIG_MAIL_SERVER),y)
	cp -af Config.mail Config.h
else
	cp -af Config.org Config.h
endif

applet_source_list: busybox.sh Config.h
	(echo -n "APPLET_SOURCES := "; $(SHELL) $^ $(BB_SRC_DIR)) > $@

doc: olddoc

# Old Docs...
olddoc: docs/busybox.pod docs/BusyBox.txt docs/BusyBox.1 docs/BusyBox.html

docs/busybox.pod : docs/busybox_header.pod usage.h docs/busybox_footer.pod
	- ( cat docs/busybox_header.pod; \
	    docs/autodocifier.pl usage.h; \
	    cat docs/busybox_footer.pod ) > docs/busybox.pod

docs/BusyBox.txt: docs/busybox.pod
	@echo
	@echo BusyBox Documentation
	@echo
	-mkdir -p docs
	-pod2text $< > $@

docs/BusyBox.1: docs/busybox.pod
	- mkdir -p docs
	- pod2man --center=BusyBox --release="version $(VERSION)" \
		$< > $@

docs/BusyBox.html: docs/busybox.lineo.com/BusyBox.html
	- mkdir -p docs
	-@ rm -f docs/BusyBox.html
	-@ ln -s busybox.lineo.com/BusyBox.html docs/BusyBox.html

docs/busybox.lineo.com/BusyBox.html: docs/busybox.pod
	-@ mkdir -p docs/busybox.lineo.com
	-  pod2html --noindex $< > \
	    docs/busybox.lineo.com/BusyBox.html
	-@ rm -f pod2html*


# New docs based on DOCBOOK SGML
newdoc: docs/busybox.txt docs/busybox.pdf docs/busybox/busyboxdocumentation.html

docs/busybox.txt: docs/busybox.sgml
	@echo
	@echo BusyBox Documentation
	@echo
	- mkdir -p docs
	(cd docs; sgmltools -b txt busybox.sgml)

docs/busybox.dvi: docs/busybox.sgml
	- mkdir -p docs
	(cd docs; sgmltools -b dvi busybox.sgml)

docs/busybox.ps: docs/busybox.sgml
	- mkdir -p docs
	(cd docs; sgmltools -b ps busybox.sgml)

docs/busybox.pdf: docs/busybox.ps
	- mkdir -p docs
	(cd docs; ps2pdf busybox.ps)

=== chkpass/Makefile ===
# Don't edit Makefile! Use conf-* for configuration.

SHELL=/bin/sh

default: prog 

alloc.o: \
compile alloc.c alloc.h error.h
	./compile alloc.c

alloc_re.o: \
compile alloc_re.c alloc.h byte.h
	./compile alloc_re.c

auto-str: \
load auto-str.o unix.a byte.a
	./load auto-str unix.a byte.a 

auto-str.o: \
compile auto-str.c buffer.h readwrite.h exit.h
	./compile auto-str.c

auto_home.c: \
auto-str conf-home
	./auto-str auto_home `head -1 conf-home` > auto_home.c

auto_home.o: \
compile auto_home.c
	./compile auto_home.c

buffer.o: \
compile buffer.c buffer.h
	./compile buffer.c

buffer_2.o: \
compile buffer_2.c readwrite.h buffer.h
	./compile buffer_2.c

buffer_copy.o: \
compile buffer_copy.c buffer.h
	./compile buffer_copy.c

buffer_get.o: \
compile buffer_get.c buffer.h byte.h error.h
	./compile buffer_get.c

buffer_put.o: \
compile buffer_put.c buffer.h str.h byte.h error.h
	./compile buffer_put.c

byte.a: \
makelib byte_copy.o byte_cr.o byte_diff.o str_chr.o str_len.o \
str_start.o
	./makelib byte.a byte_copy.o byte_cr.o byte_diff.o \
	str_chr.o str_len.o str_start.o

byte_copy.o: \
compile byte_copy.c byte.h
	./compile byte_copy.c

byte_cr.o: \
compile byte_cr.c byte.h
	./compile byte_cr.c

byte_diff.o: \
compile byte_diff.c byte.h
	./compile byte_diff.c

check: \
it instcheck
	./instcheck

checkpassword: \
load checkpassword.o prot.o unix.a byte.a shadow.lib crypt.lib s.lib
	./load checkpassword prot.o unix.a byte.a  `cat \
	shadow.lib` `cat crypt.lib` `cat s.lib`

checkpassword.o: \
compile checkpassword.c error.h pathexec.h prot.h hasspnam.h \
hasuserpw.h
	./compile checkpassword.c

chkshsgr: \
load chkshsgr.o
	gcc -s -o chkshsgr chkshsgr.o

chkshsgr.o: \
compile chkshsgr.c exit.h
	gcc -O2 -c chkshsgr.c

choose: \
warn-auto.sh choose.sh conf-home
	cat warn-auto.sh choose.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	> choose
	chmod 755 choose

compile: \
warn-auto.sh conf-cc systype print-cc.sh trycpp.c
	sh print-cc.sh > compile
	chmod 755 compile

crypt.lib: \
trycrypt.c compile load
	( ( ./compile trycrypt.c && \
	./load trycrypt -lcrypt ) >/dev/null 2>&1 \
	&& echo -lcrypt || exit 0 ) > crypt.lib
	rm -f trycrypt.o trycrypt

env.o: \
compile env.c str.h env.h
	./compile env.c

error.o: \
compile error.c error.h
	./compile error.c

error_str.o: \
compile error_str.c error.h
	./compile error_str.c

hasshsgr.h: \
choose compile load tryshsgr.c hasshsgr.h1 hasshsgr.h2 chkshsgr \
warn-shsgr
	./chkshsgr || ( cat warn-shsgr; exit 1 )
	./choose clr tryshsgr hasshsgr.h1 hasshsgr.h2 > hasshsgr.h

hasspnam.h: \
tryspnam.c compile load
	( ( ./compile tryspnam.c && ./load tryspnam ) >/dev/null \
	2>&1 \
	&& echo \#define HASGETSPNAM 1 || exit 0 ) > hasspnam.h
	rm -f tryspnam.o tryspnam

hasuserpw.h: \
tryuserpw.c s.lib compile load
	( ( ./compile tryuserpw.c \
	  && ./load tryuserpw `cat s.lib` ) >/dev/null 2>&1 \
	&& echo \#define HASGETUSERPW 1 || exit 0 ) > hasuserpw.h
	rm -f tryuserpw.o tryuserpw

hier.o: \
compile hier.c auto_home.h
	./compile hier.c

install: \
load install.o hier.o auto_home.o unix.a byte.a
	./load install hier.o auto_home.o unix.a byte.a 

install.o: \
compile install.c buffer.h strerr.h error.h open.h readwrite.h exit.h
	./compile install.c

instcheck: \
load instcheck.o hier.o auto_home.o unix.a byte.a
	./load instcheck hier.o auto_home.o unix.a byte.a 

instcheck.o: \
compile instcheck.c strerr.h error.h readwrite.h exit.h
	./compile instcheck.c

it: \
prog install instcheck

load: \
warn-auto.sh conf-ld
	( cat warn-auto.sh; \
	echo 'main="$$1"; shift'; \
	echo exec "`head -1 conf-ld`" \
	'-o "$$main" "$$main".o $${1+"$$@"}' \
	) > load
	chmod 755 load

makelib: \
warn-auto.sh systype
	( cat warn-auto.sh; \
	echo 'main="$$1"; shift'; \
	echo 'rm -f "$$main"'; \
	echo 'ar cr "$$main" $${1+"$$@"}'; \
	case "`cat systype`" in \
	sunos-5.*) ;; \
	unix_sv*) ;; \
	irix64-*) ;; \
	irix-*) ;; \
	dgux-*) ;; \
	hp-ux-*) ;; \
	sco*) ;; \
	*) echo 'ranlib "$$main"' ;; \
	esac \
	) > makelib
	chmod 755 makelib

open_read.o: \
compile open_read.c open.h
	./compile open_read.c

open_trunc.o: \
compile open_trunc.c open.h
	./compile open_trunc.c

pathexec_env.o: \
compile pathexec_env.c stralloc.h gen_alloc.h alloc.h str.h byte.h \
env.h pathexec.h
	./compile pathexec_env.c

pathexec_run.o: \
compile pathexec_run.c error.h stralloc.h gen_alloc.h str.h env.h \
pathexec.h
	./compile pathexec_run.c

prog: \
checkpassword

prot.o: \
compile prot.c hasshsgr.h prot.h
	./compile prot.c

s.lib: \
tryslib.c compile load
	( ( ./compile tryslib.c && \
	./load tryslib -ls ) >/dev/null 2>&1 \
	&& echo -ls || exit 0 ) > s.lib
	rm -f tryslib.o tryslib

setup: \
it install
	./install

shadow.lib: \
tryshadow.c compile load
	( ( ./compile tryshadow.c && \
	./load tryshadow -lshadow ) >/dev/null 2>&1 \
	&& echo -lshadow || exit 0 ) > shadow.lib
	rm -f tryshadow.o tryshadow

str_chr.o: \
compile str_chr.c str.h
	./compile str_chr.c

str_len.o: \
compile str_len.c str.h
	./compile str_len.c

str_start.o: \
compile str_start.c str.h
	./compile str_start.c

stralloc_cat.o: \
compile stralloc_cat.c byte.h stralloc.h gen_alloc.h
	./compile stralloc_cat.c

stralloc_catb.o: \
compile stralloc_catb.c stralloc.h gen_alloc.h byte.h
	./compile stralloc_catb.c

stralloc_cats.o: \
compile stralloc_cats.c byte.h str.h stralloc.h gen_alloc.h
	./compile stralloc_cats.c

stralloc_eady.o: \
compile stralloc_eady.c alloc.h stralloc.h gen_alloc.h \
gen_allocdefs.h
	./compile stralloc_eady.c

stralloc_opyb.o: \
compile stralloc_opyb.c stralloc.h gen_alloc.h byte.h
	./compile stralloc_opyb.c

stralloc_opys.o: \
compile stralloc_opys.c byte.h str.h stralloc.h gen_alloc.h
	./compile stralloc_opys.c

stralloc_pend.o: \
compile stralloc_pend.c alloc.h stralloc.h gen_alloc.h \
gen_allocdefs.h
	./compile stralloc_pend.c

strerr_die.o: \
compile strerr_die.c buffer.h exit.h strerr.h
	./compile strerr_die.c

strerr_sys.o: \
compile strerr_sys.c error.h strerr.h
	./compile strerr_sys.c

systype: \
find-systype.sh trycpp.c x86cpuid.c
	sh find-systype.sh > systype

unix.a: \
makelib alloc.o alloc_re.o buffer.o buffer_2.o buffer_copy.o \
buffer_get.o buffer_put.o env.o error.o error_str.o open_read.o \
open_trunc.o pathexec_env.o pathexec_run.o prot.o stralloc_cat.o \
stralloc_catb.o stralloc_cats.o stralloc_eady.o stralloc_opyb.o \
stralloc_opys.o stralloc_pend.o strerr_die.o strerr_sys.o
	./makelib unix.a alloc.o alloc_re.o buffer.o buffer_2.o \
	buffer_copy.o buffer_get.o buffer_put.o env.o error.o \
	error_str.o open_read.o open_trunc.o pathexec_env.o \
	pathexec_run.o prot.o stralloc_cat.o stralloc_catb.o \
	stralloc_cats.o stralloc_eady.o stralloc_opyb.o \
	stralloc_opys.o stralloc_pend.o strerr_die.o strerr_sys.o
clean:
	rm -f *.o
	rm -f checkpassword

=== des/Makefile ===
# You must select the correct terminal control system to be used to
# turn character echo off when reading passwords.  There a 5 systems
# SGTTY   - the old BSD system
# TERMIO  - most system V boxes
# TERMIOS - SGI (ala IRIX).
# VMS     - the DEC operating system
# MSDOS   - we all know what it is :-)
# read_pwd.c makes a reasonable guess at what is correct.

# Targets
# make          - twidle the options yourself :-)
# make cc       - standard cc options
# make gcc      - standard gcc options
# make x86-elf  - linux-elf etc
# make x86-out  - linux-a.out, FreeBSD etc
# make x86-solaris
# make x86-bdsi

# If you are on a DEC Alpha, edit des.h and change the DES_LONG
# define to 'unsigned int'.  I have seen this give a %20 speedup.

OPTS0= -DRAND -DTERMIO #-DNOCONST

# Version 1.94 has changed the strings_to_key function so that it is
# now compatible with MITs when the string is longer than 8 characters.
# If you wish to keep the old version, uncomment the following line.
# This will affect the -E/-D options on des(1).
#OPTS1= -DOLD_STR_TO_KEY

# There are 4 possible performance options
# -DDES_PTR
# -DDES_RISC1
# -DDES_RISC2 (only one of DES_RISC1 and DES_RISC2)
# -DDES_UNROLL
# after the initial build, run 'des_opts' to see which options are best
# for your platform.  There are some listed in options.txt
#OPTS2= -DDES_PTR 
#OPTS3= -DDES_RISC1 # or DES_RISC2
#OPTS4= -DDES_UNROLL

OPTS= $(OPTS0) $(OPTS1) $(OPTS2) $(OPTS3) $(OPTS4)

MAKE=make -f Makefile
#CC=cc
#CFLAG= -O

#CC=mipsel-linux-gcc
#CFLAG= -O4 -funroll-loops -fomit-frame-pointer
CFLAG= -Os -fomit-frame-pointer

CFLAGS=$(OPTS) $(CFLAG)
CPP=$(CC) -E
#AS=as

# Assember version of des_encrypt*().
DES_ENC=des_enc.o fcrypt_b.o		# normal C version
#DES_ENC=asm/dx86-elf.o	asm/yx86-elf.o	# elf format x86
#DES_ENC=asm/dx86-out.o	asm/yx86-out.o	# a.out format x86
#DES_ENC=asm/dx86-sol.o	asm/yx86-sol.o	# solaris format x86 
#DES_ENC=asm/dx86bsdi.o	asm/yx86basi.o	# bsdi format x86 

LIBDIR=/usr/local/lib
BINDIR=/usr/local/bin
INCDIR=/usr/local/include
MANDIR=/usr/local/man
MAN1=1
MAN3=3
SHELL=/bin/sh
OBJ_LIT=cbc_enc.o ecb_enc.o $(DES_ENC) fcrypt.o set_key.o
OBJ_FULL=cbc_cksm.o $(OBJ_LIT) pcbc_enc.o \
	xcbc_enc.o qud_cksm.o cbc3_enc.o \
	cfb64ede.o cfb64enc.o cfb_enc.o ecb3_enc.o \
	enc_read.o enc_writ.o ofb64ede.o ofb64enc.o ofb_enc.o  \
	rand_key.o read_pwd.o read2pwd.o rpc_enc.o  str2key.o supp.o

GENERAL_LIT=COPYRIGHT INSTALL README VERSION Makefile des_crypt.man \
	des.doc options.txt asm
GENERAL_FULL=$(GENERAL_LIT) FILES Imakefile times vms.com KERBEROS MODES.DES \
	des.man DES.pm DES.pod DES.xs Makefile.PL dess.cpp des3s.cpp \
	Makefile.uni typemap t Makefile.ssl makefile.bc Makefile.lit \
	des.org des_locl.org
TESTING_LIT=	destest speed des_opts
TESTING_FULL=	rpw des $(TESTING_LIT)
TESTING_SRC_LIT=destest.c speed.c des_opts.c
TESTING_SRC_FULL=rpw.c des.c $(TESTING_SRC_LIT)
HEADERS_LIT=des_ver.h des.h des_locl.h podd.h sk.h spr.h
HEADERS_FULL= $(HEADERS_LIT) rpc_des.h
LIBDES_LIT=cbc_enc.c ecb_enc.c fcrypt.c set_key.c des_enc.c fcrypt_b.c
LIBDES_FULL= cbc_cksm.c pcbc_enc.c qud_cksm.c cbc3_enc.c \
	cfb64ede.c cfb64enc.c cfb_enc.c ecb3_enc.c \
	enc_read.c enc_writ.c ofb64ede.c ofb64enc.c ofb_enc.c  \
	rand_key.c rpc_enc.c  str2key.c  supp.c \
	xcbc_enc.c $(LIBDES_LIT) read_pwd.c read2pwd.c

PERL=	des.pl testdes.pl doIP doPC1 doPC2 PC1 PC2 shifts.pl

OBJ=	$(OBJ_FULL)
GENERAL=$(GENERAL_FULL)
TESTING=$(TESTING_FULL)
TESTING_SRC=$(TESTING_SRC_FULL)
HEADERS=$(HEADERS_FULL)
LIBDES=	$(LIBDES_FULL)

ALL=	$(GENERAL) $(TESTING_SRC) $(LIBDES) $(PERL) $(HEADERS)

DLIB=	libdes.a

all: $(DLIB) $(TESTING)

cc:
	$(MAKE) CC=cc CFLAGS="-O $(OPTS) $(CFLAG)" all

gcc:
	$(MAKE) CC=gcc CFLAGS="-O3 -fomit-frame-pointer $(OPTS) $(CFLAG)" all

x86-elf:
	$(MAKE) DES_ENC='asm/dx86-elf.o asm/yx86-elf.o' CC=$(CC) CFLAGS="-DELF $(OPTS) $(CFLAG)" all

x86-out:
	$(MAKE) DES_ENC='asm/dx86-out.o asm/yx86-out.o' CC=$(CC) CFLAGS="-DOUT $(OPTS) $(CFLAG)" all

x86-solaris:
	$(MAKE) DES_ENC='asm/dx86-sol.o asm/yx86-sol.o' CC=$(CC) CFLAGS="-DSOL $(OPTS) $(CFLAG)" all

x86-bsdi:
	$(MAKE) DES_ENC='asm/dx86bsdi.o asm/yx86bsdi.o' CC=$(CC) CFLAGS="-DBSDI $(OPTS) $(CFLAG)" all

# elf
asm/dx86-elf.o: asm/dx86unix.cpp
	$(CPP) -DELF asm/dx86unix.cpp | $(AS) -o asm/dx86-elf.o

asm/yx86-elf.o: asm/yx86unix.cpp
	$(CPP) -DELF asm/yx86unix.cpp | $(AS) -o asm/yx86-elf.o

# solaris
asm/dx86-sol.o: asm/dx86unix.cpp
	$(CC) -E -DSOL asm/dx86unix.cpp | sed 's/^#.*//' > asm/dx86-sol.s
	as -o asm/dx86-sol.o asm/dx86-sol.s
	rm -f asm/dx86-sol.s

asm/yx86-sol.o: asm/yx86unix.cpp
	$(CC) -E -DSOL asm/yx86unix.cpp | sed 's/^#.*//' > asm/yx86-sol.s
	as -o asm/yx86-sol.o asm/yx86-sol.s
	rm -f asm/yx86-sol.s

# a.out
asm/dx86-out.o: asm/dx86unix.cpp
	$(CPP) -DOUT asm/dx86unix.cpp | $(AS) -o asm/dx86-out.o

asm/yx86-out.o: asm/yx86unix.cpp
	$(CPP) -DOUT asm/yx86unix.cpp | $(AS) -o asm/yx86-out.o

# bsdi
asm/dx86bsdi.o: asm/dx86unix.cpp
	$(CPP) -DBSDI asm/dx86unix.cpp | $(AS) -o asm/dx86bsdi.o

asm/yx86bsdi.o: asm/yx86unix.cpp
	$(CPP) -DBSDI asm/yx86unix.cpp | $(AS) -o asm/yx86bsdi.o

asm/dx86unix.cpp:
	(cd asm; perl des-586.pl cpp >dx86unix.cpp)

asm/yx86unix.cpp:
	(cd asm; perl crypt586.pl cpp >yx86unix.cpp)

test:	all
	./destest

$(DLIB): $(OBJ)
	/bin/rm -f $(DLIB)
	$(AR) cr $(DLIB) $(OBJ)
	$(RANLIB) $(DLIB)
#	-if test -s /bin/ranlib; then /bin/ranlib $(DLIB); \
#	else if test -s /usr/bin/ranlib; then /usr/bin/ranlib $(DLIB); \
#	else exit 0; fi; fi

des_opts: des_opts.o $(DLIB)
	$(CC) $(CFLAGS) -o des_opts des_opts.o $(DLIB)

destest: destest.o $(DLIB)
	$(CC) $(CFLAGS) -o destest destest.o $(DLIB)

rpw: rpw.o $(DLIB)
	$(CC) $(CFLAGS) -o rpw rpw.o $(DLIB)

speed: speed.o $(DLIB)
	$(CC) $(CFLAGS) -o speed speed.o $(DLIB)

des: des.o $(DLIB)
	$(CC) $(CFLAGS) -o des des.o $(DLIB)

tags:
	ctags $(TESTING_SRC) $(LIBDES)

tar_lit:
	/bin/mv Makefile Makefile.tmp
	/bin/cp Makefile.lit Makefile
	for i in $(HEADERS_LIT) $(LIBDES_LIT) $(GENERAL_LIT) $(TESTING_SRC_LIT) ;\
	do \
		n="$$n des/$$i"; \
	done; \
	( cd .. ; tar chf - $$n )| gzip > libdes-l.tgz
	/bin/rm -f Makefile
	/bin/mv Makefile.tmp Makefile

tar:
	mv Makefile Makefile.tmp
	/bin/cp Makefile.uni Makefile
	for i in $(ALL) ;\
	do \
		n="$$n des/$$i"; \
	done; \
	( cd .. ; tar chf - $$n )| gzip > libdes.tgz
	/bin/rm -f Makefile
	/bin/mv Makefile.tmp Makefile

shar:
	shar $(ALL) >libdes.shar

depend:
	makedepend $(LIBDES) $(TESTING_SRC)

clean:
	/bin/rm -f *.o tags core $(TESTING) $(DLIB) .nfs* *.old *.bak asm/*.o 

dclean:
	sed -e '/^# DO NOT DELETE THIS LINE/ q' Makefile >Makefile.new
	mv -f Makefile.new Makefile

# Eric is probably going to choke when he next looks at this --tjh
install: des
	if test $(INSTALLTOP); then \
	    echo SSL style install; \
	    cp $(DLIB) $(INSTALLTOP)/lib; \
	    if test -s /bin/ranlib; then \
	        /bin/ranlib $(INSTALLTOP)/lib/$(DLIB); \
	    else \
		if test -s /usr/bin/ranlib; then \
		/usr/bin/ranlib $(INSTALLTOP)/lib/$(DLIB); \
	    fi; fi; \
	    chmod 644 $(INSTALLTOP)/lib/$(DLIB); \
	    cp des.h $(INSTALLTOP)/include; \
	    chmod 644 $(INSTALLTOP)/include/des.h; \
	else \
	    echo Standalone install; \
	    cp $(DLIB) $(LIBDIR)/$(DLIB); \
	    if test -s /bin/ranlib; then \
	      /bin/ranlib $(LIBDIR)/$(DLIB); \
	    else \
	      if test -s /usr/bin/ranlib; then \
		/usr/bin/ranlib $(LIBDIR)/$(DLIB); \
	      fi; \
	    fi; \
	    chmod 644 $(LIBDIR)/$(DLIB); \
	    cp des $(BINDIR)/des; \
	    chmod 711 $(BINDIR)/des; \
	    cp des_crypt.man $(MANDIR)/man$(MAN3)/des_crypt.$(MAN3); \
	    chmod 644 $(MANDIR)/man$(MAN3)/des_crypt.$(MAN3); \
	    cp des.man $(MANDIR)/man$(MAN1)/des.$(MAN1); \
	    chmod 644 $(MANDIR)/man$(MAN1)/des.$(MAN1); \
	    cp des.h $(INCDIR)/des.h; \
	    chmod 644 $(INCDIR)/des.h; \
	fi
# DO NOT DELETE THIS LINE -- make depend depends on it.

=== dhcp/Makefile ===
# udhcp makefile

prefix=/usr
SBINDIR=/sbin
USRSBINDIR=${prefix}/sbin
USRBINDIR=${prefix}/bin
USRSHAREDIR=${prefix}/share

# Uncomment this to get a shared binary. Call as udhcpd for the server,
# and udhcpc for the client
#COMBINED_BINARY=1

# Uncomment this for extra output and to compile with debugging symbols
#DEBUG=1

ifeq ($(host),1)
CFLAGS	+= -DHOST_TEST
endif

# Uncomment this to output messages to syslog, otherwise, messages go to stdout
#CFLAGS += -DSYSLOG

CC = $(CROSS_COMPILE)gcc
LD = $(CROSS_COMPILE)gcc
INSTALL = install

VER := 0.9.7


OBJS_SHARED = options.o socket.o packet.o pidfile.o
DHCPD_OBJS = dhcpd.o arpping.o leases.o serverpacket.o setting.o
DHCPC_OBJS = dhcpc.o clientpacket.o script.o setting.o

ifdef COMBINED_BINARY
EXEC1 = udhcpd
OBJS1 = $(DHCPD_OBJS) $(DHCPC_OBJS) $(OBJS_SHARED) frontend.o
CFLAGS += -DCOMBINED_BINARY
else
EXEC1 = dhcpd
OBJS1 = $(DHCPD_OBJS) $(OBJS_SHARED)

EXEC2 = dhcpcd
OBJS2 = $(DHCPC_OBJS) $(OBJS_SHARED)
endif

EXEC3 = dumpleases
OBJS3 = dumpleases.o

BOOT_PROGRAMS = udhcpc
DAEMONS = udhcpd
COMMANDS = dumpleases

ifdef SYSLOG
CFLAGS += -DSYSLOG
endif

CFLAGS += -Wall -Wstrict-prototypes -DVERSION='"$(VER)"'

ifdef DEBUG
CFLAGS += -g -DDEBUG
STRIP=true
else
CFLAGS += -Os -fomit-frame-pointer
STRIP=$(CROSS_COMPILE)strip
endif


LDFLAGS		= -L../libmlinux -lmlinux

all: $(EXEC1) $(EXEC2)
	$(STRIP) --remove-section=.note --remove-section=.comment $(EXEC1) $(EXEC2) 

$(OBJS1) $(OBJS2) $(OBJS3): *.h Makefile
$(EXEC1) $(EXEC2) $(EXEC3): Makefile

.c.o:
	$(CC) -c -I../libmlinux $(CFLAGS) $<
	
$(EXEC1): $(OBJS1)
	$(CC) $(LDFLAGS) $(OBJS1) -o $(EXEC1)

$(EXEC2): $(OBJS2)
	$(CC) $(LDFLAGS) $(OBJS2) -o $(EXEC2)

$(EXEC3): $(OBJS3)
	$(LD) $(LDFLAGS) $(OBJS3) -o $(EXEC3)


install: all

	$(INSTALL) $(DAEMONS) $(USRSBINDIR)
	$(INSTALL) $(COMMANDS) $(USRBINDIR)
ifdef COMBINED_BINARY
	ln -sf $(USRSBINDIR)/$(DAEMONS) $(SBINDIR)/$(BOOT_PROGRAMS)
else
	$(INSTALL) $(BOOT_PROGRAMS) $(SBINDIR)
endif
	mkdir -p $(USRSHAREDIR)/udhcpc
	for name in bound deconfig renew script ; do \
		$(INSTALL) samples/sample.$$name \
			$(USRSHAREDIR)/udhcpc/default.$$name ; \
	done
	mkdir -p $(USRSHAREDIR)/man/man1
	$(INSTALL) dumpleases.1 $(USRSHAREDIR)/man/man1
	mkdir -p $(USRSHAREDIR)/man/man5
	$(INSTALL) udhcpd.conf.5 $(USRSHAREDIR)/man/man5
	mkdir -p $(USRSHAREDIR)/man/man8
	$(INSTALL) udhcpc.8 udhcpd.8 $(USRSHAREDIR)/man/man8

clean:
	-rm -f dhcpd dhcpcd dumpleases *.o core

=== dnsmasq-1.10/Makefile ===
OBJS = cache.o rfc1035.o dhcp.o util.o option.o forward.o network.o dnsmasq.o

all : dnsmasq

clean :
	rm -f *~ $(OBJS) dnsmasq

.c.o: dnsmasq.h
	$(CC) -Os -Wall -W -c $*.c 


dnsmasq : $(OBJS) dnsmasq.h config.h
	$(CC) -o $@  $(OBJS) $(LIBS)

=== e2fsprog-mipsel/Makefile ===
# Generated automatically from Makefile.in by configure.
srcdir = .
top_srcdir = .
top_builddir = .
my_dir = .
INSTALL = /usr/bin/install -c
unexport LD

# Beginning of file MCONFIG

all::

check::

SHELL = /bin/sh

prefix = /usr
root_prefix = 
exec_prefix = ${prefix}
root_bindir = ${root_prefix}/bin
root_sbindir = ${root_prefix}/sbin
root_libdir = ${root_prefix}/lib
bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libdir = ${exec_prefix}/lib
datadir= ${prefix}/share
root_sysconfdir= ${root_prefix}/etc
includedir = ${prefix}/include
mandir = /usr/share/man
man1dir = $(mandir)/man1
man3dir = $(mandir)/man3
man8dir = $(mandir)/man8
infodir = ${prefix}/info
datadir = ${prefix}/share



INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
#CC = mipsel-linux-gcc 
BUILD_CC = mipsel-linux-gcc
DEFS =  -DENABLE_HTREE=1 -DENABLE_SWAPFS=1 -DPACKAGE=\"e2fsprogs\" -DVERSION=\"1.28\" -DSTDC_HEADERS=1 -DHAVE_ALLOCA_H=1 -DHAVE_ALLOCA=1 -DHAVE_UNISTD_H=1 -DHAVE_GETPAGESIZE=1 -DHAVE_MMAP=1 -DHAVE_ARGZ_H=1 -DHAVE_LIMITS_H=1 -DHAVE_LOCALE_H=1 -DHAVE_NL_TYPES_H=1 -DHAVE_MALLOC_H=1 -DHAVE_STRING_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_GETCWD=1 -DHAVE_MUNMAP=1 -DHAVE_PUTENV=1 -DHAVE_SETENV=1 -DHAVE_SETLOCALE=1 -DHAVE_STRCHR=1 -DHAVE_STRCASECMP=1 -DHAVE_STRDUP=1 -DHAVE___ARGZ_COUNT=1 -DHAVE___ARGZ_STRINGIFY=1 -DHAVE___ARGZ_NEXT=1 -DHAVE_STPCPY=1 -DHAVE_STPCPY=1 -DHAVE_LC_MESSAGES=1 -DHAVE_STDLIB_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STDARG_H=1 -DHAVE_ERRNO_H=1 -DHAVE_MALLOC_H=1 -DHAVE_MNTENT_H=1 -DHAVE_PATHS_H=1 -DHAVE_DIRENT_H=1 -DHAVE_GETOPT_H=1 -DHAVE_SETJMP_H=1 -DHAVE_SIGNAL_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_LINUX_FD_H=1 -DHAVE_LINUX_MAJOR_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_SYS_MOUNT_H=1 -DHAVE_SYS_SYSMACROS_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_NET_IF_H=1 -DHAVE_NETINET_IN_H=1 -DHAVE_VPRINTF=1 -DHAVE_LSEEK64_PROTOTYPE=1 -DSIZEOF_SHORT=2 -DSIZEOF_INT=4 -DSIZEOF_LONG=4 -DSIZEOF_LONG_LONG=8 -DHAVE_GETRUSAGE=1 -DHAVE_LLSEEK=1 -DHAVE_LSEEK64=1 -DHAVE_OPEN64=1 -DHAVE_STRCASECMP=1 -DHAVE_SRANDOM=1 -DHAVE_FCHOWN=1 -DHAVE_MALLINFO=1 -DHAVE_FDATASYNC=1 -DHAVE_STRNLEN=1 -DHAVE_SYSCONF=1 -DHAVE_PATHCONF=1 -DHAVE_EXT2_IOCTLS=1 
CFLAGS = -g -O2
CPPFLAGS = 
ALL_CFLAGS = $(CPPFLAGS) $(DEFS) $(USE_WFLAGS) $(CFLAGS) $(XTRA_CFLAGS) \
	-I$(top_builddir)/lib -I$(top_srcdir)/lib $(LINUX_INCLUDE) 
LDFLAGS = 
ALL_LDFLAGS = $(LDFLAGS)
RM = /bin/rm
LN = /bin/ln
LN_S = ln -s
MV = /bin/mv
CP = /bin/cp
CHMOD = /bin/chmod
#AR = mipsel-linux-ar 
AWK = /usr/bin/awk
SED = /bin/sed
PERL = /usr/bin/perl
#RANLIB = mipsel-linux-ranlib
#STRIP = mipsel-linux-strip
#LD = $(PURE) mipsel-linux-gcc
ARUPD = $(AR) r
LDCONFIG = /sbin/ldconfig

#
# Library definitions
#
LIB = $(top_builddir)/lib
LIBSS = $(LIB)/libss.a
LIBCOM_ERR = $(LIB)/libcom_err.a
LIBE2P = $(LIB)/libe2p.a
LIBEXT2FS = $(LIB)/libext2fs.a
LIBUUID = $(LIB)/libuuid.a  
DEPLIBUUID = $(LIB)/libuuid.a

STATIC_LIBSS = $(LIB)/libss.a
STATIC_LIBCOM_ERR = $(LIB)/libcom_err.a
STATIC_LIBE2P = $(LIB)/libe2p.a
STATIC_LIBEXT2FS = $(LIB)/libext2fs.a
STATIC_LIBUUID = $(LIB)/libuuid.a  
DEPSTATIC_LIBUUID = $(LIB)/libuuid.a

PROFILED_LIBSS = $(LIB)/libss
PROFILED_LIBCOM_ERR = $(LIB)/libcom_err
PROFILED_LIBE2P = $(LIB)/libe2p
PROFILED_LIBEXT2FS = $(LIB)/libext2fs
PROFILED_LIBUUID = $(LIB)/libuuid  
DEPPROFILED_LIBUUID = $(LIB)/libuuid

#
# Use these definitions is you use tools 2.x, x < 16
#
#DLL_BIN=/usr/dll/bin
#JUMP_PREFIX=/usr/dll/jump/

#
# Use these definitions if you use tools 2.16 or above
#
DLL_BIN=/usr/bin
JUMP_PREFIX=/usr/bin/jump

# An include directive pointing to a directory holding enough linux-like
# include files to satisfy some programs here
LINUX_INCLUDE=

#
# A fast substitution command for fixing up man pages, shell scripts, etc.
#
SUBST_CONF=$(top_builddir)/util/subst.conf
SUBSTITUTE= $(top_builddir)/util/subst -f $(SUBST_CONF)
DEP_SUBSTITUTE= $(top_builddir)/util/subst $(SUBST_CONF)

$(top_builddir)/util/subst:
	cd $(top_builddir)/util ; $(MAKE) subst

#
# Warning flags
#
# Run make gcc-wall to do a build with warning messages.
#
#
WFLAGS=		-ansi -D_POSIX_SOURCE -pedantic \
			-Wall -Wwrite-strings -Wpointer-arith \
			-Wcast-qual -Wcast-align -Wtraditional \
			-Wstrict-prototypes -Wmissing-prototypes \
			-Wnested-externs -Winline -DNO_INLINE_FUNCS -Wshadow 

gcc-wall-new:
	(make USE_WFLAGS="$(WFLAGS)" > /dev/null) 2>&1 | sed -f $(top_srcdir)/util/gcc-wall-cleanup 

gcc-wall:
	make clean > /dev/null
	make gcc-wall-new

#
# Installation user and groups
#
BINGRP=		bin
BINOWN=		bin
BINMODE=	555
INCGRP=		bin
INCOWN=		bin
INCMODE=	444
LIBOWN=		bin
LIBGRP=		bin
LIBMODE=	444
MANGRP=		bin
MANOWN=		bin
MANMODE=	444

#
# Autoconf magic...
#

DEP_LIB_MAKEFILES = $(top_srcdir)/lib/Makefile.elf-lib  \
	$(top_srcdir)/lib/Makefile.dll-lib $(top_srcdir)/lib/Makefile.bsd-lib \
	$(top_srcdir)/lib/Makefile.checker $(top_srcdir)/lib/Makefile.profile

$(top_builddir)/config.status: $(top_srcdir)/configure
	cd $(top_builddir); ./config.status --recheck

$(top_builddir)/MCONFIG: $(top_srcdir)/MCONFIG.in $(top_builddir)/config.status
	cd $(top_builddir); CONFIG_FILES=MCONFIG ./config.status

$(top_builddir)/lib/substitute_sh: $(top_srcdir)/lib/substitute_sh.in \
		$(top_builddir)/config.status
	cd $(top_builddir); CONFIG_FILES=lib/substitute_sh ./config.status

$(top_builddir)/util/subst.conf: $(top_srcdir)/util/subst.conf.in \
		$(top_builddir)/config.status
	cd $(top_builddir); CONFIG_FILES=util/subst.conf ./config.status

Makefile: $(srcdir)/Makefile.in $(top_builddir)/MCONFIG \
		$(DEP_MAKEFILE) $(top_builddir)/config.status
	cd $(top_builddir); CONFIG_FILES=$(my_dir)/Makefile ./config.status

$(top_srcdir)/configure: $(top_srcdir)/configure.in
	cd $(top_srcdir) && autoconf

#
# Make depend magic...
#

.depend: Makefile $(SRCS) $(top_srcdir)/depfix.sed $(top_srcdir)/wordwrap.pl
	if test -n "$(SRCS)" ; then \
		$(CC) -M $(ALL_CFLAGS) $(SRCS) | \
			$(SED) -f $(top_srcdir)/depfix.sed \
			    -e 's; $(srcdir)/; $$(srcdir)/;g' \
			    -e 's; $(top_srcdir)/; $$(top_srcdir)/;g' \
			    -e 's; $(top_builddir)/; $$(top_builddir)/;g' \
			    -e 's; \./; ;g' \
			    -e '/^ *\\$$/d' | \
			$(PERL) $(top_srcdir)/wordwrap.pl > .depend; \
	else :; fi

depend:: .depend
	if test -n "$(SRCS)" ; then \
		sed -e '/^# +++ Dependency line eater +++/,$$d' \
			< $(srcdir)/Makefile.in | cat - .depend \
			> $(srcdir)/Makefile.in.new; \
	if cmp -s $(srcdir)/Makefile.in $(srcdir)/Makefile.in.new ; then \
		$(RM) $(srcdir)/Makefile.in.new ; \
	else \
		$(MV) $(srcdir)/Makefile.in $(srcdir)/Makefile.in.old; \
		$(MV) $(srcdir)/Makefile.in.new $(srcdir)/Makefile.in; \
	fi ; else :; fi

# End of file MCONFIG

RESIZE_DIR= resize
DEBUGFS_DIR= debugfs
EVMS_DIR= lib/evms

LIB_SUBDIRS=lib/et lib/ss lib/e2p lib/ext2fs lib/uuid # lib/finddev
#PROG_SUBDIRS=e2fsck $(DEBUGFS_DIR) misc $(RESIZE_DIR) 
PROG_SUBDIRS=e2fsck misc
SUBDIRS=util $(LIB_SUBDIRS) $(PROG_SUBDIRS) 

SUBS= lib/ext2fs/ext2_types.h

TAR=tar

all:: $(SUBS) 
	$(MAKE) libs
	$(MAKE) progs
	$(MAKE) docs

progs: $(SUBS) all-progs-recursive
libs: $(SUBS) all-libs-recursive

docs:
	cd doc && $(MAKE) libext2fs.info

install-doc-libs:
	cd doc && $(MAKE) install-doc-libs

uninstall-doc-libs:
	cd doc && $(MAKE) uninstall-doc-libs

clean-doc:
	cd doc && $(MAKE) clean

distclean-doc:
	cd doc && $(MAKE) distclean

install: $(SUBS) all-libs-recursive install-progs-recursive \
	install-shlibs-libs-recursive install-doc-libs
#	export MANPATH=$(DESTDIR)$(mandir); $(srcdir)/install-utils/compile_manpages

uninstall: uninstall-progs-recursive uninstall-shlibs-libs-recursive uninstall-doc-libs

install-libs: install-libs-recursive

uninstall-libs: uninstall-libs-recursive

TAGS clean-recursive distclean-recursive depend-recursive check-recursive \
	    mostlyclean-recursive realclean-recursive install-recursive:
	for subdir in $(SUBDIRS); do \
	  if test -d $$subdir ; then \
	    target=`echo $@|$(SED) 's/-recursive//'`; \
	    echo making $$target in $$subdir; \
	    (cd $$subdir && $(MAKE) $$target) || exit 1; \
	  fi ; \
	done

all-progs-recursive install-progs-recursive uninstall-progs-recursive:
	for subdir in $(PROG_SUBDIRS); do \
	  if test -d $$subdir ; then \
	    target=`echo $@|$(SED) 's/-progs-recursive//'`; \
	    echo making $$target in $$subdir; \
	    (cd $$subdir && $(MAKE) $$target) || exit 1; \
	  fi ; \
	done

all-libs-recursive install-libs-recursive uninstall-libs-recursive install-shlibs-libs-recursive uninstall-shlibs-libs-recursive:
	for subdir in $(LIB_SUBDIRS); do \
	  if test -d $$subdir ; then \
	    target=`echo $@|$(SED) 's/-libs-recursive//'`; \
	    echo making $$target in $$subdir; \
	    (cd $$subdir && $(MAKE) $$target) || exit 1; \
	  fi ; \
	done

mostlyclean: mostlyclean-recursive mostlyclean-local

clean: clean-recursive clean-local clean-doc
	$(RM) -f $(SUBS)

distclean: distclean-doc distclean-recursive distclean-local 

realclean: realclean-recursive realclean-local

depend:: depend-recursive

lib/ext2fs/ext2_types.h: $(DEP_SUBSTITUTE) $(srcdir)/lib/ext2fs/ext2_types.h.in
	$(SUBSTITUTE) $(srcdir)/lib/ext2fs/ext2_types.h.in \
	> lib/ext2fs/ext2_types.h

mostlyclean-local:
	$(RM) -f \#* *~ *.orig core MAKELOG 

clean-local: mostlyclean-local

distclean-local: clean-local
	$(RM) -f $(SUBS) $(SUBST_CONF) \
		config.status config.log config.cache MCONFIG Makefile \
		$(srcdir)/TAGS $(srcdir)/Makefile.in.old

realclean-local: distclean-local
	$(RM) -f configure

check::	$(SUBS) check-recursive

distribution_tar_file:
	$(RM) -rf /tmp/dest
	$(MAKE) DESTDIR=/tmp/dest install
	cp -r $(srcdir)/README $(srcdir)/install-utils /tmp/dest
	$(RM) -rf /tmp/dest/install-utils/CVS /tmp/dest/install-utils/ChangeLog
	cp $(srcdir)/INSTALL.bin /tmp/dest/INSTALL
	(cd /tmp/dest && $(TAR) cf - . ) | gzip -9 \
		> e2fsprogs-1.28-bin.tar.gz

SRCROOT = `echo e2fsprogs-1.28 | sed -e 's/-WIP//' \
			-e 's/pre-//' -e 's/-PLUS//'`

$(srcdir)/.exclude-file:
	a=$(SRCROOT); \
	(cd $(srcdir)/.. && find e2fsprogs \( -name \*~ -o -name \*.orig \
		-o -name CVS -o -name \*.rej -o -name Makefile.pq \
		-o -name TAGS -o -name \*.old -o -name \*.gmo -o -name SCCS \
		-o -name changed-files -o -name .#\* \) \
		-print) | sed -e "s/e2fsprogs/$$a/" > $(srcdir)/.exclude-file
	echo "$(SRCROOT)/BitKeeper" >> $(srcdir)/.exclude-file
	echo "$(SRCROOT)/build" >> $(srcdir)/.exclude-file
	echo "$(SRCROOT)/rpm.log" >> $(srcdir)/.exclude-file
	echo "$(SRCROOT)/TODO" >> $(srcdir)/.exclude-file
	echo "$(SRCROOT)/powerquest" >> $(srcdir)/.exclude-file
	echo "$(SRCROOT)/.exclude-file" >> $(srcdir)/.exclude-file
	echo "$(SRCROOT)/po/stamp-cat-id" >> $(srcdir)/.exclude-file
	echo "$(SRCROOT)/po/cat-id-tbl.c" >> $(srcdir)/.exclude-file
	echo $(SRCROOT)/e2fsprogs-1.28.tar.gz \
		>> $(srcdir)/.exclude-file

source_tar_file: $(srcdir)/.exclude-file
	cd $(srcdir)/.. && a=$(SRCROOT); rm -f $$a ; ln -sf e2fsprogs $$a ; \
		$(TAR) -c -h -v -f - \
			-X $$a/.exclude-file $$a | \
		gzip -9 > e2fsprogs-1.28.tar.gz
	rm -f $(srcdir)/.exclude-file

=== ez-ipupdate-3.0.10/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = .
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/ez-ipupdate
pkglibdir = $(libdir)/ez-ipupdate
pkgincludedir = $(includedir)/ez-ipupdate

top_builddir = .

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
#CC = gcc
#CPP = gcc -E
EXTRAOBJ = 
EXTRASRC = 
MAKEINFO = makeinfo
PACKAGE = ez-ipupdate
VERSION = 3.0.10

bin_PROGRAMS = ez-ipupdate
ez_ipupdate_SOURCES = ez-ipupdate.c conf_file.c conf_file.h md5.c md5.h cache_file.c cache_file.h error.h pid_file.c pid_file.h dprintf.h 
ez_ipupdate_LDADD = 

EXTRA_DIST = getpass.c ez-ipupdate.lsm example.conf example-pgpow.conf example-dhs.conf example-dyndns.conf example-ods.conf example-tzo.conf example-gnudip.conf example-easydns.conf example-justlinux.conf example-dyns.conf CHANGELOG mkbinary

AUTOMAKE_OPTIONS = foreign
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I.
CPPFLAGS = 
LDFLAGS = 
LIBS = 
ez_ipupdate_OBJECTS =  ez-ipupdate.o conf_file.o md5.o cache_file.o \
pid_file.o
ez_ipupdate_DEPENDENCIES = 
ez_ipupdate_LDFLAGS = 
CFLAGS = -g -O2
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  README ./stamp-h.in COPYING INSTALL Makefile.am \
Makefile.in acconfig.h aclocal.m4 config.guess config.h.in config.sub \
configure configure.in install-sh missing mkinstalldirs


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
SOURCES = $(ez_ipupdate_SOURCES)
OBJECTS = $(ez_ipupdate_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4):  configure.in 
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

config.h: stamp-h
	@if test ! -f $@; then \
		rm -f stamp-h; \
		$(MAKE) stamp-h; \
	else :; fi
stamp-h: $(srcdir)/config.h.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=config.h \
	     $(SHELL) ./config.status
	@echo timestamp > stamp-h 2> /dev/null
$(srcdir)/config.h.in: $(srcdir)/stamp-h.in
	@if test ! -f $@; then \
		rm -f $(srcdir)/stamp-h.in; \
		$(MAKE) $(srcdir)/stamp-h.in; \
	else :; fi
$(srcdir)/stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) acconfig.h
	cd $(top_srcdir) && $(AUTOHEADER)
	@echo timestamp > $(srcdir)/stamp-h.in 2> /dev/null

mostlyclean-hdr:

clean-hdr:

distclean-hdr:
	-rm -f config.h

maintainer-clean-hdr:

mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

ez-ipupdate: $(ez_ipupdate_OBJECTS) $(ez_ipupdate_DEPENDENCIES)
	@rm -f ez-ipupdate
	$(LINK) $(ez_ipupdate_LDFLAGS) $(ez_ipupdate_OBJECTS) $(ez_ipupdate_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)config.h.in$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags config.h.in $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	-rm -rf $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) dist
	-rm -rf $(distdir)
	@banner="$(distdir).tar.gz is ready for distribution"; \
	dashes=`echo "$$banner" | sed s/./=/g`; \
	echo "$$dashes"; \
	echo "$$banner"; \
	echo "$$dashes"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
distdir: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
cache_file.o: cache_file.c config.h cache_file.h
conf_file.o: conf_file.c config.h conf_file.h
ez-ipupdate.o: ez-ipupdate.c config.h error.h md5.h dprintf.h \
	conf_file.h cache_file.h pid_file.h
md5.o: md5.c config.h md5.h
pid_file.o: pid_file.c config.h error.h dprintf.h

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
all-recursive-am: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

install-exec-am: install-binPROGRAMS
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-binPROGRAMS
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS) config.h
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-hdr mostlyclean-binPROGRAMS \
		mostlyclean-compile mostlyclean-tags \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-hdr clean-binPROGRAMS clean-compile clean-tags \
		clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-hdr distclean-binPROGRAMS distclean-compile \
		distclean-tags distclean-generic clean-am

distclean: distclean-am
	-rm -f config.status

maintainer-clean-am:  maintainer-clean-hdr maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am
	-rm -f config.status

.PHONY: mostlyclean-hdr distclean-hdr clean-hdr maintainer-clean-hdr \
mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir info-am info dvi-am dvi check \
check-am installcheck-am installcheck all-recursive-am install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== freeswan-1.93/Makefile ===
# FreeS/WAN master makefile
# Copyright (C) 1998-2001  Henry Spencer.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <http://www.fsf.org/copyleft/gpl.txt>.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# RCSID $Id: Makefile,v 1.1.1.1 2004/04/07 09:05:58 louistsai Exp $



include Makefile.inc
include Makefile.ver



# kernel details
# don't take KERNELREL too seriously; "2.3" does include 2.4
KERNELREL=$(shell { test -f $(FILIN24) && echo 2.3; } || \
		{ test -d $(DIRIN22) && echo 2.2; } )
PATCHES=klips/patches$(KERNELREL)
# note, some of the patches know the last part of this path
KERNELKLIPS=$(KERNELSRC)/net/ipsec

SUBDIRS=libdes lib pluto klips testing
all:programs
def:
	@echo "Please read doc/intro.html or INSTALL before running make"
	@false

# everything that's necessary to put Klips into the kernel
insert:	patches klink klipsdefaults

klink:
	rm -rf $(KERNELKLIPS)
	mkdir -p $(KERNELKLIPS)/libdes/asm
	mkdir -p $(KERNELKLIPS)/libfreeswan
	mkdir -p $(KERNELKLIPS)/zlib
	ln -s `pwd`/klips/net/ipsec/Makefile $(KERNELKLIPS)
	ln -s `pwd`/Makefile.inc $(KERNELKLIPS)
	ln -s `pwd`/Makefile.ver $(KERNELKLIPS)
	ln -s `pwd`/klips/net/ipsec/Config.in $(KERNELKLIPS)
	ln -s `pwd`/klips/net/ipsec/defconfig $(KERNELKLIPS)
	ln -s `pwd`/klips/net/ipsec/*.[ch] $(KERNELKLIPS)
	ln -s `pwd`/lib/Makefile.kernel $(KERNELKLIPS)/libfreeswan/Makefile
	ln -s `pwd`/lib/*.[ch] $(KERNELKLIPS)/libfreeswan
	ln -s `pwd`/libdes/Makefile $(KERNELKLIPS)/libdes
	ln -s `pwd`/libdes/*.[ch] $(KERNELKLIPS)/libdes
	ln -s `pwd`/libdes/asm/*.pl $(KERNELKLIPS)/libdes/asm
	ln -s `pwd`/libdes/asm/perlasm $(KERNELKLIPS)/libdes/asm
	ln -s `pwd`/zlib/Makefile $(KERNELKLIPS)/zlib
	ln -s `pwd`/zlib/*.[chS] $(KERNELKLIPS)/zlib

PATCHER=utils/patcher
patches:
	echo "===============" >>out.kpatch
	echo "`date` `cd $(KERNELSRC) ; pwd`" >>out.kpatch
	$(MAKE) _patches$(KERNELREL) >>out.kpatch

# Linux-2.0.x version
_patches:
	@$(PATCHER) -v $(KERNELSRC) Documentation/Configure.help \
		'CONFIG_IPSEC' $(PATCHES)/Documentation.Configure.help
	@$(PATCHER) -v $(KERNELSRC) include/linux/in.h \
		'IPPROTO_ESP' $(PATCHES)/include.linux.in.h
	@$(PATCHER) -v $(KERNELSRC) net/Config.in \
		'CONFIG_IPSEC' $(PATCHES)/net.Config.in
	@$(PATCHER) -v $(KERNELSRC) net/Makefile \
		'CONFIG_IPSEC' $(PATCHES)/net.Makefile
	@$(PATCHER) -v $(KERNELSRC) net/ipv4/af_inet.c \
		'CONFIG_IPSEC' $(PATCHES)/net.ipv4.af_inet.c
	@$(PATCHER) -v $(KERNELSRC) net/netsyms.c \
		'ip_fragment' $(PATCHES)/net.netsyms.c
	@$(PATCHER) -v $(KERNELSRC) include/linux/socket.h \
		'PF_KEY' $(PATCHES)/include.linux.socket.h
# Removed patches, will unpatch automatically.
	@$(PATCHER) -v $(KERNELSRC) include/linux/proc_fs.h
	@$(PATCHER) -v $(KERNELSRC) net/core/dev.c
	@$(PATCHER) -v $(KERNELSRC) net/ipv4/protocol.c
	@$(PATCHER) -v $(KERNELSRC) drivers/net/Space.c
	@$(PATCHER) -v $(KERNELSRC) net/netlink.c
	@$(PATCHER) -v $(KERNELSRC) drivers/isdn/isdn_net.c

# Linux-2.2.x version
PATCHES24=klips/patches2.3
_patches2.2:
	@$(PATCHER) -v -c $(KERNELSRC) Documentation/Configure.help \
		'CONFIG_IPSEC' $(PATCHES)/Doc.Configure.help
	@$(PATCHER) -v $(KERNELSRC) include/linux/in.h \
		'IPPROTO_ESP' $(PATCHES)/include.linux.in.h
	@$(PATCHER) -v $(KERNELSRC) net/Config.in \
		'CONFIG_IPSEC' $(PATCHES24)/net.Config.in
	@$(PATCHER) -v $(KERNELSRC) net/Makefile \
		'CONFIG_IPSEC' $(PATCHES)/net.Makefile
	@$(PATCHER) -v $(KERNELSRC) net/ipv4/af_inet.c \
		'CONFIG_IPSEC' $(PATCHES)/net.ipv4.af_inet.c
	@$(PATCHER) -v $(KERNELSRC) net/netsyms.c \
		'neigh_compat_output' $(PATCHES)/net.netsyms.c.1 \
		'inet_addr_type' $(PATCHES)/net.netsyms.c.2
#	@$(PATCHER) -v $(KERNELSRC) include/linux/socket.h \
#		'define.AF_KEY' $(PATCHES)/include.linux.socket.h
# Removed patches, will unpatch automatically.
	@$(PATCHER) -v $(KERNELSRC) include/linux/proc_fs.h
	@$(PATCHER) -v $(KERNELSRC) net/core/dev.c
	@$(PATCHER) -v $(KERNELSRC) net/ipv4/protocol.c
	@$(PATCHER) -v $(KERNELSRC) drivers/net/Space.c
	@$(PATCHER) -v $(KERNELSRC) include/linux/netlink.h
	@$(PATCHER) -v $(KERNELSRC) net/netlink/af_netlink.c
	@$(PATCHER) -v $(KERNELSRC) net/netlink/netlink_dev.c
	@$(PATCHER) -v $(KERNELSRC) include/linux/socket.h
	@$(PATCHER) -v $(KERNELSRC) drivers/isdn/isdn_net.c

# Linux-2.4.0 version
PATCHES22=klips/patches2.2
_patches2.3:
	@$(PATCHER) -v -c $(KERNELSRC) Documentation/Configure.help \
		'CONFIG_IPSEC' $(PATCHES22)/Doc.Configure.help
	@$(PATCHER) -v $(KERNELSRC) net/Config.in \
		'CONFIG_IPSEC' $(PATCHES)/net.Config.in
	@$(PATCHER) -v $(KERNELSRC) net/Makefile \
		'CONFIG_IPSEC' $(PATCHES)/net.Makefile
	@$(PATCHER) -v $(KERNELSRC) net/ipv4/af_inet.c \
		'CONFIG_IPSEC' $(PATCHES)/net.ipv4.af_inet.c
# Removed patches, will unpatch automatically.
	@$(PATCHER) -v $(KERNELSRC) include/linux/proc_fs.h
	@$(PATCHER) -v $(KERNELSRC) net/core/dev.c
	@$(PATCHER) -v $(KERNELSRC) net/ipv4/protocol.c
	@$(PATCHER) -v $(KERNELSRC) drivers/net/Space.c
	@$(PATCHER) -v $(KERNELSRC) include/linux/netlink.h
	@$(PATCHER) -v $(KERNELSRC) net/netlink/af_netlink.c
	@$(PATCHER) -v $(KERNELSRC) net/netlink/netlink_dev.c
	@$(PATCHER) -v $(KERNELSRC) drivers/isdn/isdn_net.c

ifeq ($(ARCH),)
ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)
endif

klipsdefaults:
	@KERNELDEFCONFIG=$(KERNELSRC)/arch/$(ARCH)/defconfig ; \
	KERNELCONFIG=$(KCFILE) ; \
	if ! egrep -q 'CONFIG_IPSEC' $$KERNELDEFCONFIG ; \
	then \
		set -x ; \
		cp -a $$KERNELDEFCONFIG $$KERNELDEFCONFIG.orig ; \
		chmod u+w $$KERNELDEFCONFIG ; \
		cat $$KERNELDEFCONFIG $(KERNELKLIPS)/defconfig \
			>$$KERNELDEFCONFIG.tmp ; \
		rm -f $$KERNELDEFCONFIG ; \
		cp -a $$KERNELDEFCONFIG.tmp $$KERNELDEFCONFIG ; \
		rm -f $$KERNELDEFCONFIG.tmp ; \
	fi ; \
	if ! egrep -q 'CONFIG_IPSEC' $$KERNELCONFIG ; \
	then \
		set -x ; \
		cp -a $$KERNELCONFIG $$KERNELCONFIG.orig ; \
		chmod u+w $$KERNELCONFIG ; \
		cat $$KERNELCONFIG $(KERNELKLIPS)/defconfig \
			>$$KERNELCONFIG.tmp ; \
		rm -f $$KERNELCONFIG ; \
		cp -a $$KERNELCONFIG.tmp $$KERNELCONFIG ; \
		rm -f $$KERNELCONFIG.tmp ; \
	fi



# programs

programs:
	cd lib ; $(MAKE)
	cd pluto ; $(MAKE) 
	cd klips ; $(MAKE) programs
	cd utils ; $(MAKE) 

install:
	mkdir -p $(PRIVDIR) $(PUBDIR)
	for m in $(MANPLACES) ; do mkdir -p $(MANTREE)/$$m ; done
	cd lib ; $(MAKE) install
	cd klips ; $(MAKE) install
	cd pluto ; $(MAKE) install
	cd utils ; $(MAKE) install

clean:
	cd lib ; $(MAKE) clean 		# looks after libdes too
	cd klips ; $(MAKE) clean
	cd pluto ; $(MAKE) clean
	cd utils ; $(MAKE) clean
	rm -rf $(RPMTMPDIR) out.rpms
	rm -f out.*build out.*install	# but leave out.kpatch

spotless:	clean
	rm -f out.kpatch



# proxies for major kernel make operations

# do-everything entries
PRE=precheck insert
POST=confcheck programs install kernel
MPOST=confcheck programs install module
RPOST=confcheck programs rpminstall kernel rpmkinstall rpms
ogo:	$(PRE) pcf $(POST)
oldgo:	$(PRE) ocf $(POST)
menugo:	$(PRE) mcf $(POST)
xgo:	$(PRE) xcf $(POST)
omod:	$(PRE) pcf $(MPOST)
oldmod:	$(PRE) ocf $(MPOST)
menumod:	$(PRE) mcf $(MPOST)
xmod:	$(PRE) xcf $(MPOST)
orpm:	$(PRE) pcf $(RPOST)
oldrpm:	$(PRE) ocf $(RPOST)
menurpm:	$(PRE) mcf $(RPOST)
xrpm:	$(PRE) xcf $(RPOST)

# preliminaries
precheck:
	@if test ! -d $(KERNELSRC) -a ! -L $(KERNELSRC) ; \
	then \
		echo '*** cannot find directory "$(KERNELSRC)"!!' ; \
		echo '*** may be necessary to add symlink to kernel source' ; \
		exit 1 ; \
	fi
	@if test ! -f $(KCFILE) ; \
	then \
		echo '*** cannot find "$(KCFILE)"!!' ; \
		echo '*** perhaps kernel has never been configured?' ; \
		echo '*** please do that first; the results are necessary.' ; \
		exit 1 ; \
	fi
	@if test ! -f $(VERFILE) ; \
	then \
		echo '*** cannot find "$(VERFILE)"!!' ; \
		echo '*** perhaps kernel has never been compiled?' ; \
		echo '*** please do that first; the results are necessary.' ; \
		exit 1 ; \
	fi

# configuring (exit statuses disregarded, something fishy here sometimes)
xcf:
	-cd $(KERNELSRC) ; $(MAKE) $(KERNMAKEOPTS) xconfig
mcf:
	-cd $(KERNELSRC) ; $(MAKE) $(KERNMAKEOPTS) menuconfig
pcf:
	-cd $(KERNELSRC) ; $(MAKE) $(KERNMAKEOPTS) config
ocf:
	-cd $(KERNELSRC) ; $(MAKE) $(KERNMAKEOPTS) oldconfig
confcheck:
	@if test ! -f $(KCFILE) ; \
	then echo '*** no kernel configuration file written!!' ; exit 1 ; \
	fi
	@if ! egrep -q '^CONFIG_IPSEC=[my]' $(KCFILE) ; \
	then echo '*** IPSEC not in kernel configuration!!' ; exit 1 ; \
	fi
	@if egrep -q '^CONFIG_IPSEC=m' $(KCFILE) && \
		! egrep -q '^CONFIG_MODULES=y' $(KCFILE) ; \
	then echo '*** IPSEC configured as module in kernel with no module support!!' ; exit 1 ; \
	fi

# kernel building, with error checks
kernel:
	rm -f out.kbuild out.kinstall
	( cd $(KERNELSRC) ; $(MAKE) $(KERNMAKEOPTS) $(KERNDEP) $(KERNCLEAN) $(KERNEL) ) 2>&1 | tee out.kbuild
	@if egrep -q '^CONFIG_MODULES=y' $(KCFILE) ; \
	then set -x ; \
		( cd $(KERNELSRC) ; \
		$(MAKE) $(KERNMAKEOPTS) modules 2>&1 ) | tee -a out.kbuild ; \
	fi
	utils/errcheck out.kbuild

# module-only building, with error checks
module:
	rm -f out.kbuild out.kinstall
	egrep -q '^CONFIG_MODULES=y' $(KCFILE)
	egrep -q '^CONFIG_IPSEC=m' $(KCFILE)
	( cd $(KERNELSRC) ; \
		$(MAKE) $(KERNMAKEOPTS) modules 2>&1 ) | tee out.kbuild
	utils/errcheck out.kbuild

# kernel install, with error checks
kinstall:
	rm -f out.kinstall
	( cd $(KERNELSRC) ; $(MAKE) $(KERNMAKEOPTS) install ) 2>&1 | tee out.kinstall
	@if egrep -q '^CONFIG_MODULES=y' $(KCFILE) ; \
	then set -x ; \
		( cd $(KERNELSRC) ; \
		$(MAKE) $(KERNMAKEOPTS) modules_install 2>&1 ) | tee -a out.kinstall ; \
	fi
	utils/errcheck out.kinstall

# module-only install, with error checks
minstall:
	rm -f out.kinstall
	egrep -q '^CONFIG_MODULES=y' $(KCFILE)
	egrep -q '^CONFIG_IPSEC=m' $(KCFILE)
	( cd $(KERNELSRC) ; \
		$(MAKE) $(KERNMAKEOPTS) modules_install 2>&1 ) | tee out.kinstall
	utils/errcheck out.kinstall

# RPM-build userland install in temporary directory
rpminstall:
	rm -rf $(RPMTMPDIR)
	mkdir -p $(RPMTMPDIR)
	$(MAKE) install DESTDIR=$(RPMTMPDIR)

# RPM-build kinstall in temporary directory
# Some of this is not really right for non-x86 systems, but alas, there's no
# override like INSTALL_MOD_PATH for kernel itself, so must do it by hand.
RPMBOOT=$(RPMTMPDIR)/boot
rpmkinstall:
	mkdir -p $(RPMBOOT)
	( KV=`utils/kernelversion $(KERNELSRC)/Makefile` ; \
		cd $(KERNELSRC) ; \
		if egrep -q '^CONFIG_MODULES=y' $(KCFILE) ; \
		then $(MAKE) $(KERNMAKEOPTS) INSTALL_MOD_PATH=$(RPMTMPDIR) \
			modules_install ; \
		fi ; \
		cp arch/$(ARCH)/boot/$(KERNEL) $(RPMBOOT)/vmlinuz-$$KV ; \
		cp System.map $(RPMBOOT)/System.map-$$KV ; \
	) 2>&1 | tee out.rpmkinstall
	utils/errcheck out.rpmkinstall

# build RPMs
rpms:	rpm.spec $(RPMTMPDIR)
	rm -rf out.rpms
	mkdir out.rpms
	cd out.rpms ; mkdir SRPMS BUILD RPMS SPECS SOURCES
	cd out.rpms/RPMS ; mkdir $(ARCH) noarch
	rpm -bb --buildroot $(RPMTMPDIR) --define "_topdir `pwd`/out.rpms" \
								rpm.spec
	# that has, incidentally, gotten rid of $(RPMTMPDIR)

# build spec file for building RPMs
rpm.spec:	rpm.in
	KV=`utils/kernelversion $(KERNELSRC)/Makefile` ; \
	if egrep -q '^CONFIG_MODULES=y' $(KCFILE) ; \
	then KMO='/^@km */s//' ; \
	else KMO='/^@km */d' ; \
	fi ; \
	if egrep -q '^CONFIG_IPSEC=m' $(KCFILE) ; \
	then FMO='/^@fm */s//' ; \
	else FMO='/^@fm */d' ; \
	fi ; \
	sed -e "/@KERNELVERSION@/s;;$$KV;" \
		-e '/@IPSECVERSION@/s;;$(IPSECVERSION);' \
		-e "$$KMO" \
		-e "$$FMO" \
		-e '/@PUBDIR@/s;;$(PUBDIR);' \
		-e '/@FINALBINDIR@/s;;$(FINALBINDIR);' \
		-e '/@MANTREE@/s;;$(MANTREE);' rpm.in >$@

# backup of (almost) everything an install touches

=== ash-0.4.8/debian/changelog ===
ash (0.3.7-14) unstable; urgency=low

  * Removed predependency from udeb (closes: #81995).
  * Added /bin/sh symlink to udeb (closes: #81967).

 -- Herbert Xu <herbert@debian.org>  Sat, 13 Jan 2001 15:23:21 +1100

ash (0.3.7-13) unstable; urgency=low

  * Renamed the udeb to ash-udeb.

 -- Herbert Xu <herbert@debian.org>  Wed, 20 Dec 2000 19:32:34 +1100

ash (0.3.7-12) unstable; urgency=low

  * Added support for udebs (Randolph Chung, closes: #79237).

 -- Herbert Xu <herbert@debian.org>  Sat, 16 Dec 2000 13:53:28 +1100

ash (0.3.7-11) unstable; urgency=low

  * Preserve the previous exit status upon entering a function
    (closes: #78374).

 -- Herbert Xu <herbert@debian.org>  Sun,  3 Dec 2000 13:34:27 +1100

ash (0.3.7-10) unstable; urgency=low

  * Merged changes for GNU from Igor Khavkine.
  * Minimise the number of sigactions.

 -- Herbert Xu <herbert@debian.org>  Fri,  3 Nov 2000 20:31:52 +1100

ash (0.3.7-9) unstable; urgency=low

  * Predepend on the libraries.
  * Always save fd 2 when it is redirected (closes: #75302).

 -- Herbert Xu <herbert@debian.org>  Sun, 22 Oct 2000 08:40:40 +1100

ash (0.3.7-8) unstable; urgency=high

  * More redirection fixes (closes: #73613).

 -- Herbert Xu <herbert@debian.org>  Thu,  5 Oct 2000 18:22:17 +1100

ash (0.3.7-7) unstable; urgency=high

  * Added missing break in redirection code (closes: #72956).

 -- Herbert Xu <herbert@debian.org>  Tue,  3 Oct 2000 07:58:04 +1100

ash (0.3.7-6) unstable; urgency=low

  * command -[vV] no longer displays an error message on stdout.
  * Redirecting to /proc/self/fd/* now works (closes: #72852).

 -- Herbert Xu <herbert@debian.org>  Sun,  1 Oct 2000 12:56:39 +1100

ash (0.3.7-5) unstable; urgency=low

  * Implemented set -a.

 -- Herbert Xu <herbert@debian.org>  Sat, 30 Sep 2000 16:00:33 +1100

ash (0.3.7-4) unstable; urgency=low

  * Added build-time dependency on debhelper (closes: #69920).
  * Extended maximum length of arithmetic expansions to match 32-bit integers.

 -- Herbert Xu <herbert@debian.org>  Wed, 20 Sep 2000 14:28:16 +1100

ash (0.3.7-3) unstable; urgency=low

  * Switch to the old globbing code since glob(3) is hopelessly broken
    (closes: #69455).

 -- Herbert Xu <herbert@debian.org>  Mon, 21 Aug 2000 20:37:15 +1000

ash (0.3.7-2) unstable; urgency=low

  * Call glob(3) with GLOB_NOMAGIC (ouch).

 -- Herbert Xu <herbert@debian.org>  Sun,  6 Aug 2000 17:47:08 +1000

ash (0.3.7-1) unstable; urgency=low

  * NetBSD-current version as of 20000729.
  * Use fnmatch(3) and glob(3).
  * Fixed the use of backslashes in the pattern in parameter substitutions,
    hopefully for the last time.
  * Applied HETIO patch and built ash.medium (closes: #50788).  Will do ash.big
    when readline is fixed so that it doesn't leak anymore.

 -- Herbert Xu <herbert@debian.org>  Fri,  4 Aug 2000 21:36:44 +1000

ash (0.3.6-5) unstable; urgency=low

  * Fixed manpage entry for read with patch from Kevin Ryde (closes: #62500).
  * Fixed a file descriptor leak for pipelines.

 -- Herbert Xu <herbert@debian.org>  Wed, 19 Apr 2000 18:56:20 +1000

ash (0.3.6-4) unstable; urgency=low

  * Fixed the case of an empty command with redirections.

 -- Herbert Xu <herbert@debian.org>  Fri,  7 Apr 2000 12:07:18 +1000

ash (0.3.6-3) unstable; urgency=low

  * ! is now recognised correctly.
  * Ash is now more strict on the syntax, e.g., a lone ! is no longer accepted
    as an alternative to ! true.

 -- Herbert Xu <herbert@debian.org>  Fri,  7 Apr 2000 10:46:06 +1000

ash (0.3.6-2) unstable; urgency=low

  * Fixed a problem with fmtstr() which broke getopts.

 -- Herbert Xu <herbert@debian.org>  Sun,  2 Apr 2000 10:49:26 +1000

ash (0.3.6-1) unstable; urgency=low

  * NetBSD-current version as of 20000326.
  * Added a Build-Depends on groff (closes: #61041).
  * Implemented noclobber (closes: #59028).
  * Rewrote output.c to use stream IO.

 -- Herbert Xu <herbert@debian.org>  Sat,  1 Apr 2000 19:24:31 +1000

ash (0.3.5-10) frozen unstable; urgency=low

  * Don't stat mail boxes in non-interactive mode (closes: #59213).
  * Added an fflush(stdout) to the times builtin (closes: #59027).
  * Documented the times builtin.
  * Added source depends.

 -- Herbert Xu <herbert@debian.org>  Sat, 18 Mar 2000 18:58:44 +1100

ash (0.3.5-9) unstable; urgency=low

  * Double quotes inside paramater substitutions inside double quotes are now
    ignored as in bash (the originial behaviour was POSIX compliant too but
    IMHO this one makes a little bit more sense).
    This one broke mwm (but it was actually mwm's fault).
  * Corrected backslash/CTLESC treatment for patterns in parameter
    substitutions.

 -- Herbert Xu <herbert@debian.org>  Sat,  6 Nov 1999 18:13:19 +1100

ash (0.3.5-8) unstable; urgency=low

  * Replaced use of echo -n in manual page with escape codes.
  * Made FHS compliant (closes: #47978).
  * Restored echo's option processing ability.

 -- Herbert Xu <herbert@debian.org>  Fri, 22 Oct 1999 10:20:58 +1000

ash (0.3.5-7) unstable; urgency=low

  * echo no longer supports options.
  * Don't quote patterns inside parameter substitutions enclosed by double
    quotes (closes: #47842).

 -- Herbert Xu <herbert@debian.org>  Wed, 20 Oct 1999 20:28:14 +1000

ash (0.3.5-6) unstable; urgency=low

  * Use getcwd() instead of /bin/pwd -- Zack Weinberg (closes: #46981).

 -- Herbert Xu <herbert@debian.org>  Sun, 10 Oct 1999 16:31:49 +1000

ash (0.3.5-5) unstable; urgency=low

  * Only test for -e on simple commands (fixes #44559).

 -- Herbert Xu <herbert@debian.org>  Wed,  8 Sep 1999 22:18:27 +1000

ash (0.3.5-4) unstable; urgency=low

  * Don't wait for stopped children if job control is disabled (fixes #42814).
  * Allow an option '(' in a case statement (fixes #42364).

 -- Herbert Xu <herbert@debian.org>  Thu, 12 Aug 1999 23:30:30 +1000

ash (0.3.5-3) unstable; urgency=low

  * OK, the fix to the esoteric problem in 0.3.5-1 actually breaks VSASSIGN
    and VSQUESTION, they should work properly now (fixes #41327).



=== e2fsprog-mipsel/debian/changelog ===
e2fsprogs (1.27+1.28-WIP-0626-2) experimental; urgency=low

  * Remove bogus shlibs deps on "e2fsprogs (>= <current>)"

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 17 Aug 2002 17:59:17 -0400

e2fsprogs (1.27+1.28-WIP-0626-1) experimental; urgency=low

  * New upstream pre-release:
  ** Supports v2 ACL format (Closes: #138160).
  * Removed explicit --mandir flag, as it now uses FHS man location by
    default.
  * Added mkinitrd script, "upstream-contributed" ;) by Ted Ts'o (Closes:
    #148064).
  * Build a no-pic version of libext2fs.a on mips and mipsel, patch by
    Florian Lohoff, adapted for style consistency (Closes: #145432).
  * Removed presumably-useless and presumably-broken CFLAGS propagation.
    If someone misses that, I'll add ${CFLAGS} to --ccopts.
  
  * Switched to debhelper v4.
  * Added ${misc:Depends} to all packages' Depends field.
  
  * Fixed typos in fsck.8, added an example for clarity (Closes:
    #145044).
  * Fixed typo in chattr manpage (Closes: #141938).
  * Fixed typo in tune2fs manpage (Closes: #148514).

 -- Yann Dirson <dirson@debian.org>  Tue, 23 Jul 2002 00:12:33 +0200

e2fsprogs (1.27-2) unstable; urgency=medium

  * Urgency medium since this fixes a RC bug.
  * Generate the shlibs file instead of just copying it in place, and make
    it produce deps on "e2fsprogs (>= <current>)" as well, to cope with
    new functions introduced in the libs (Closes: #139274).
  * Added a note on this in README.Debian.

 -- Yann Dirson <dirson@debian.org>  Thu, 21 Mar 2002 23:58:48 +0100

e2fsprogs (1.27-1) unstable; urgency=low

  * New upstream release (Closes: #136737).
  * No more use for dh_link'ing *.ext[23], it's now done by upstream
    Makefiles.
  * Only include (new) inode_io.o from libext2fs when fileio.o is, or the
    BF build fails because of this additional (unused) member (upstream
    hint).

 -- Yann Dirson <dirson@debian.org>  Mon, 11 Mar 2002 00:17:32 +0100

e2fsprogs (1.26-3) unstable; urgency=low

  * Simple rebuild after fixing the settings of my computer's clock, so
    that katie accepts to install the package.

 -- Yann Dirson <dirson@debian.org>  Sat, 23 Feb 2002 14:53:15 +0100

e2fsprogs (1.26-2) unstable; urgency=low

  * Applied upstream patch dealing with the rlimit filesize variation
    among archs and kernel versions (Closes: #133909).
  * Create fsck.ext3.8 symlink (Closes: #121526).

 -- Yann Dirson <dirson@debian.org>  Sat, 23 Feb 2002 06:44:02 +0100

e2fsprogs (1.26-1) unstable; urgency=low

  * This uploads fixes 10 bugs, including data-corruption problems, and
    adds much to the ease of maintainance and problem tracking.  Good
    choice for woody.
  
  * New upstream release (Closes: #106622, #116975, #118443, #119624,
    #120171, #120077, #129828, #132764).
  ** Fixes for data-corruption bugs not reported to the BTS: e2fsck
    trashed external journals needing to be replayed, e2fsck now hides
    visible journal files (data corruption problems when not excluded from
    a backup and then restored) (Closes: #132654).
  ** Other noticable bugs fixed include: e2fsck null pointer
    dereferencing, fsck did not finds LVM volumes by UUID or by label,
    largefile support (ie. dealing with filesystems inside 2GB+ files) was
    broken in several programs.
  * Switch to debhelper v3 to get ldconfig automatically handled
    (lintian reported that it was broken).  Now call dh_makeshlibs, but
    still override its generated shlibs file with ours, to get compiled
    packages depend of the correct virtual packages, which include
    full sonames.
  * Removed call do dh_installman (Closes: #115526).
  * Cleaned up maintainer scripts with dead code - most things are now
    more properly handled by debhelper.  Removed an "exit 0" lurking in
    preinst - can't find a reason for it in the changelog, it was probably
    here for ages.
  * Remove obsolete maint-scripts in binary-arch, as they are provided by
    upstream.
  * Also remove upstream-shipped config.cache before configuring.  That
    shouldn't impact us, but well, that makes lintian happy :)

 -- Yann Dirson <dirson@debian.org>  Fri,  8 Feb 2002 06:12:35 +0100

e2fsprogs (1.25-1) unstable; urgency=high

  * New upstream bugfix release (Closes: #112414), targeted to woody.
  * com_err.info provided again now that it was fixed upstream.
  * Added metainfo to com_err.texinfo so that it gets indexed correctly
    (thanks lintian).  Moved @setfilename and @settitle to the top so that
    things get output as expected.
  * Added lintian overrides for -bf and -static packages.
  * Put all stamp files in debian/stampdir.

 -- Yann Dirson <dirson@debian.org>  Sat, 22 Sep 2001 16:22:47 +0200

e2fsprogs (1.24a-1) unstable; urgency=high

  * New upstream release (Closes: #109577).
  ** The only new code in there is in codepaths that
    are only visited when previously unsupported features are used, so
    they add virtually no risk.  Support for raw image files will be of
    great help to debug users' problems.  Urgency set to "high" to make
    sure this version gets released with woody.
  
  ** Fsck prints a warning message if now valid filesystems are passed to
    it. (Closes: #107458).
  ** Fsck -A will not try to interpret device names for filesystems which
    have a pass number is 0. (Closes: #106696).
  ** If -O none is passed to mke2fs, it will now not set the sparse_super
    feature (Closes: #108165).
  ** Tune2fs has been fixed to make sure that only error messages go to
    stderr, and normal message go to stdout (Closes: #108555).
  ** Minor man pages updates (Closes: #30833, #108174).
  ** Doc fixes (Closes: #110621).

 -- Yann Dirson <dirson@debian.org>  Tue,  4 Sep 2001 23:44:56 +0200

e2fsprogs (1.22-2) unstable; urgency=medium

  * This is only a trivial patch to stop some user confusion, and would be
    great to have in woody, hence the urgency.
  * Applied upstream patch to e2fsck to warn user when some errors were


=== ash-0.4.8/debian/control ===
Source: ash
Section: shells
Priority: optional
Maintainer: Herbert Xu <herbert@debian.org>
Build-Depends: byacc, debhelper, flex, pmake, groff
Standards-Version: 3.2.1

Package: ash
Architecture: any
Pre-Depends: ${shlibs:Depends}
Description: NetBSD /bin/sh
 "ash" is a POSIX compliant shell that is much smaller than "bash".
 We take advantage of that by making it the shell on the installation
 root floppy, where space is at a premium.
 .
 It can be usefully installed as /bin/sh (because it executes scripts
 somewhat faster than "bash"), or as the default shell either of root
 or of a second user with a userid of 0 (because it depends on fewer
 libraries, and is therefore less likely to be affected by an upgrade
 problem or a disk failure).  It is also useful for checking that a
 script uses only POSIX syntax.
 .
 "bash" is a better shell for most users, since it has some nice
 features absent from "ash", and is a required part of the system.

Package: ash-medium
Architecture: any
Pre-Depends: ${shlibs:Depends}
Priority: extra
Description: NetBSD /bin/sh with HETIO
 This is a slightly bigger version of the standard ash package with a
 hack that provides primitive history support.  It may be useful on
 boot floppies where space is at a premium, yet users still need the
 ability to access previous commands in the same session.  If you're
 not a boot floppies maintainer, you should probably go for ash,
 ash.big (not yet available), or bash.
 .
 "ash" is a POSIX compliant shell that is much smaller than "bash".
 We take advantage of that by making it the shell on the installation
 root floppy, where space is at a premium.
 .
 It can be usefully installed as /bin/sh (because it executes scripts
 somewhat faster than "bash"), or as the default shell either of root
 or of a second user with a userid of 0 (because it depends on fewer
 libraries, and is therefore less likely to be affected by an upgrade
 problem or a disk failure).  It is also useful for checking that a
 script uses only POSIX syntax.
 .
 "bash" is a better shell for most users, since it has some nice
 features absent from "ash", and is a required part of the system.

Package: ash-udeb
Architecture: any
Section: debian-installer
Description: NetBSD /bin/sh for boot floppies
 "ash" is a POSIX compliant shell that is much smaller than "bash".
 We take advantage of that by making it the shell on the installation
 root floppy, where space is at a premium.
 .
 It can be usefully installed as /bin/sh (because it executes scripts
 somewhat faster than "bash"), or as the default shell either of root
 or of a second user with a userid of 0 (because it depends on fewer
 libraries, and is therefore less likely to be affected by an upgrade
 problem or a disk failure).  It is also useful for checking that a
 script uses only POSIX syntax.
 .
 "bash" is a better shell for most users, since it has some nice
 features absent from "ash", and is a required part of the system.

=== e2fsprog-mipsel/debian/control ===
Source: e2fsprogs
Section: base
Priority: required
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: texi2html, texinfo, debhelper (>= 4)
Standards-Version: 3.5.4

Package: e2fsck-static
Section: admin
Priority: optional
Depends: e2fsprogs (= ${Source-Version}), ${misc:Depends}
Recommends: sash | zsh-static | busybox-static | zsh30-static
Architecture: any
Description: A statically-linked version of the ext2 filesystem checker.
 This may be of some help to you if your filesystem gets corrupted enough
 to break the shared libraries used by the dynamically linked checker.
 .
 This binary takes much more space than its dynamic counterpart located
 in e2fsprogs, though.
 .
 You may want to install a statically-linked shell as well, to be able
 to run this program if something like your C library gets corrupted.

Package: comerr-dev
Section: devel
Priority: extra
Depends: ${libcdev:Depends}, libcomerr2, ${misc:Depends}
Suggests: doc-base
Conflicts: e2fsprogs (<< 1.10-6)
Architecture: any
Description: The Common Error Description library - headers and static libraries.
 libcomerr is an attempt to present a common error-handling mechanism to
 manipulate the most common form of error code in a fashion that does not
 have the problems identified with mechanisms commonly in use.

Package: ss-dev
Section: devel
Priority: extra
Depends: ${libcdev:Depends}, libss2, ${misc:Depends}
Conflicts: e2fsprogs (<< 1.10-6)
Architecture: any
Description: Command-line interface parsing library - headers and static libraries.
 This package includes a tool that parses a command table to generate
 a simple command-line interface parser, the include files needed to
 compile and use it, and the static libs.
 . 
 It was originally inspired by the Multics SubSystem library.

Package: uuid-dev
Section: devel
Priority: extra
Depends: ${libcdev:Depends}, e2fsprogs (= ${Source-Version}), ${misc:Depends}
Conflicts: e2fsprogs (<< 1.10-6)
Replaces: e2fslibs-dev (<< 1.15)
Architecture: any
Description: Universally unique id library - headers and static libraries.
 libuuid generates and parses 128-bit universally unique id's (UUID's),
 using a standard which is blessed by both Microsoft and DCE, and is
 being proposed as an internet standard.  See the internet-draft:
 .
                draft-leach-uuids-guids-01.txt
 .
 for more information.

Package: e2fsprogs-bf
Section: devel
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: e2fsprogs
Architecture: any
Description: A stripped-down versions of e2fsprogs, for boot-floppies
 This package is an e2fsprogs package built for a reduced size, so that
 it can help to save space on installation boot-floppies.
 .
 Don't attempt to install this package, it has no support for a couple of
 features you surely want.  Anyway it should refuse to install.

Package: e2fsprogs
Essential: yes
Pre-Depends: ${shlibs:Depends}
Depends: ${misc:Depends}
Suggests: gpart, parted, e2fsck-static
Conflicts: e2fslibsg, dump (<< 0.4b4-4), quota (<< 1.55-8.1)
Provides: libcomerr2, libss2, libext2fs2, libe2p2, libuuid1
Architecture: any
Description: The EXT2 file system utilities and libraries.
 EXT2 stands for "Extended Filesystem", version 2. It's the main
 filesystem type used for hard disks on Debian and other Linux systems.
 .
 This package contains programs for creating, checking, and maintaining EXT2
 filesystems, and the generic `fsck' wrapper.

Package: e2fslibs-dev
Section: devel
Priority: extra
Depends: ${libcdev:Depends}, comerr-dev, e2fsprogs (= ${Source-Version}), ${misc:Depends}
Suggests: doc-base
Provides: ext2fs-dev, e2p-dev
Conflicts: e2fsprogs (<< 1.10-6)
Architecture: any
Description: The headers and static libraries for ext2fs-aware tools-development.
 EXT2FS stands for "Extended Filesystem", version 2. It's the filesystem
 type used for hard disks on Debian and other Linux systems.
 .
 This package contains the headers and shared libraries needed to compile
 ext2fs-aware programs. Only programmers that really manipulate
 features specific to the ext2 filesystem will need this. Most
 programmers will use the generic filesystem-independent interface
 from libc.
 .
 It also contains dev files for the e2p lib used by
 the e2fsprogs, but which is not yet packaged all by itself
 because it lacks documentation. It may also lack some support
 files, by I can't really know until someone uses it...
 .
 libe2p is for user-level e2fsprogs commands.  It's used by dumpe2fs,
 chattr, and lsattr.  Functions in libe2p typically have two
 characteristics (a) don't require that block device containing the
 filesystem be opened directly (functions in libext2fs do), and (b)
 libe2p typically contains printf statements or parse user input, and so
 have more internationalization issues.

=== ash-0.4.8/debian/rules ===
#!/usr/bin/make -f
# $Id: rules,v 1.1.1.1 2004/04/07 09:05:52 louistsai Exp $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
CDEF = -g -O2 -Wall -DBSD=1 -DSMALL -D_GNU_SOURCE \
       -DGLOB_BROKEN \
       -D__COPYRIGHT\(x\)= -D__RCSID\(x\)= -D_DIAGASSERT\(x\)=
CDEFSM = -Os -fomit-frame-pointer -Wall -DBSD=1 -DSMALL -D_GNU_SOURCE \
       -DGLOB_BROKEN \
       -D__COPYRIGHT\(x\)= -D__RCSID\(x\)= -D_DIAGASSERT\(x\)=

sh.hetio:
	chmod u+x debian/bsdyacc
	rm -f *.o
	pmake CFLAGS='$(CDEF)' HETIO= YACC=`pwd`/debian/bsdyacc
	mv sh sh.hetio

sh:
	chmod u+x debian/bsdyacc
	rm -f *.o
	pmake CFLAGS='$(CDEF)' YACC=`pwd`/debian/bsdyacc

sh.udeb:
	chmod u+x debian/bsdyacc
	rm -f *.o
	pmake CFLAGS='$(CDEFSM)' YACC=`pwd`/debian/bsdyacc
	mv sh sh.udeb

build: build-stamp
build-stamp: sh.hetio sh.udeb sh
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	pmake clean HETIO=
	rm -f sh.cat1 mksignames signames.h sh.hetio sh.udeb

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install sh debian/tmp/bin/ash
	install -m 644 sh.1 debian/tmp/usr/share/man/man1/ash.1
	install sh.hetio debian/ash-medium/usr/bin/ash.medium
	install -m 644 sh.1 debian/ash-medium/usr/share/man/man1/ash.medium.1
	install sh.udeb debian/ash-udeb/bin/ash
	ln -s ash debian/ash-udeb/bin/sh

	dh_installdocs -Nash-udeb
	dh_installexamples
	dh_installmenu
#	dh_installinit
	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs -Nash-udeb
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb -Nash-udeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb
	for i in ../ash-udeb_*.deb; do mv $$i $${i%deb}udeb; done
	sed '/^[^ ]*\.udeb/d; s/^\(ash-udeb_[^ ]*\.\)deb/\1udeb/' \
		debian/files > debian/files.new
	mv debian/files.new debian/files

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

=== e2fsprog-mipsel/debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.
#
# The `binary' target must be run as root, as it needs to install files with
# specific ownerships.

# be paranoid
export LC_ALL=C

DEB_BUILD_ARCH := $(shell dpkg --print-architecture)
DEB_BUILD_GNU_TYPE := $(shell ./config.guess)
ifndef DEB_HOST_ARCH
  DEB_HOST_ARCH := ${DEB_BUILD_ARCH}
endif
DEB_HOST_GNU_CPU := $(patsubst hurd-%,%,$(DEB_HOST_ARCH))
ifeq ($(filter-out hurd-%,${DEB_HOST_ARCH}),)
  DEB_HOST_GNU_SYSTEM := gnu
else
# FIXME: we won't have always just Hurd and Linux
  DEB_HOST_GNU_SYSTEM := linux
endif
DEB_HOST_GNU_TYPE := ${DEB_HOST_GNU_CPU}-${DEB_HOST_GNU_SYSTEM}


# find the version for the main package, from changelog file
MAIN_VERSION = $(shell head -1 debian/changelog | cut '-d ' -f 2 | sed 's/[()]//g')
# find versions for libraries going into their own packages, from their Makefile.in's,
# and sonames for all libs
COMERR_VERSION = $(shell grep ELF_VERSION lib/et/Makefile.in | cut '-d ' -f3)
COMERR_SOVERSION = $(shell grep ELF_SO_VERSION lib/et/Makefile.in | cut '-d ' -f3)
SS_VERSION = $(shell grep ELF_VERSION lib/ss/Makefile.in | cut '-d ' -f3)
SS_SOVERSION = $(shell grep ELF_SO_VERSION lib/ss/Makefile.in | cut '-d ' -f3)
UUID_VERSION = $(shell grep ELF_VERSION lib/uuid/Makefile.in | cut '-d ' -f3)
UUID_SOVERSION = $(shell grep ELF_SO_VERSION lib/uuid/Makefile.in | cut '-d ' -f3)
EXT2FS_SOVERSION = $(shell grep ELF_SO_VERSION lib/ext2fs/Makefile.in | cut '-d ' -f3)
E2P_SOVERSION = $(shell grep ELF_SO_VERSION lib/e2p/Makefile.in | cut '-d ' -f3)

package=e2fsprogs

topdir=$(shell pwd)
debdir=${topdir}/debian
tmpdir=${debdir}/tmp
bfdir=${debdir}/e2fsprogs-bf
maindir=${debdir}/e2fsprogs
stdbuilddir=${debdir}/BUILD-STD
bfbuilddir=${debdir}/BUILD-BF
mipsbuilddir=${debdir}/BUILD-MIPS
# docdir=${maindir}/usr/share/doc/${package}
MANDIR=/usr/share/man
mandir=${tmpdir}${MANDIR}

SUBPACKAGES_DIRS = tmp e2fslibs-dev comerr-dev ss-dev

STAMPSDIR=debian/stampdir
CFGSTDSTAMP=${STAMPSDIR}/configure-std-stamp
CFGBFSTAMP=${STAMPSDIR}/configure-bf-stamp
BUILDSTDSTAMP=${STAMPSDIR}/build-std-stamp
BUILDBFSTAMP=${STAMPSDIR}/build-bf-stamp

CCOPTS = -O2 -fsigned-char
LIBC-DEV = libc6-dev

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -o root -g root  -m  755

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CCOPTS += -g -O1
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

ifeq (${DEB_HOST_ARCH},alpha)
CCOPTS += -DHAVE_NETINET_IN_H
LIBC-DEV = libc6.1-dev
else
CCOPTS += -D__NO_STRING_INLINES
endif

BF_CCOPTS = -Os -fomit-frame-pointer

COMMON_CONF_FLAGS =  \
                --enable-elf-shlibs --enable-dynamic-e2fsck \
                --enable-nls \
                --infodir=/usr/share/info

STD_CONF_FLAGS = --with-ccopts="${CCOPTS}" --enable-compression

BF_CONF_FLAGS = --with-ccopts="${CCOPTS} ${BF_CCOPTS}" \
	--disable-swapfs --disable-imager \
	--disable-resizer --disable-debugfs

MIPS_NOPIC_CONF_FLAGS = --with-ccopts="${CCOPTS} -G 0 -fno-pic -mno-abicalls" \
	--disable-swapfs --disable-imager \
        --disable-resizer --disable-debugfs

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
ifneq (,$(findstring $(DEB_BUILD_ARCH),mips mipsel))
ismips=ismips
endif
endif

${CFGSTDSTAMP}:
	dh_testdir

	mkdir -p ${stdbuilddir}
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cd ${stdbuilddir} && \
		${topdir}/configure ${COMMON_CONF_FLAGS} ${STD_CONF_FLAGS}
else
	cd ${stdbuilddir} && CC="${DEB_HOST_GNU_TYPE}-gcc" \
		${topdir}/configure ${COMMON_CONF_FLAGS} ${STD_CONF_FLAGS} \
		--build=$(DEB_BUILD_GNU_TYPE) $(DEB_HOST_GNU_TYPE)
endif

  # specially-built MIPS lib
	if [ ismips = "${ismips}" ]; then \
		mkdir -p ${mipsbuilddir} ; \
		cd ${mipsbuilddir} && \
			${topdir}/configure ${MIPS_NOPIC_CONF_FLAGS} ; \
	fi

	mkdir -p ${STAMPSDIR}
	touch ${CFGSTDSTAMP}

${CFGBFSTAMP}:
	dh_testdir
	rm -f config.cache

	mkdir -p ${bfbuilddir}
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cd ${bfbuilddir} && \
		${topdir}/configure ${COMMON_CONF_FLAGS} ${BF_CONF_FLAGS}
else
	cd ${bfbuilddir} && CC="${DEB_HOST_GNU_TYPE}-gcc" \
		${topdir}/configure ${COMMON_CONF_FLAGS} ${BF_CONF_FLAGS} \
		--build=$(DEB_BUILD_GNU_TYPE) $(DEB_HOST_GNU_TYPE)
endif
	mkdir -p ${STAMPSDIR}
	touch ${CFGBFSTAMP}

build: build-std build-bf

build-std: ${BUILDSTDSTAMP}
${BUILDSTDSTAMP}: ${CFGSTDSTAMP}
	dh_testdir
	make -C ${stdbuilddir} all

	( cd ${stdbuilddir}/doc && \
	  texi2html -split_chapter ${topdir}/doc/libext2fs.texinfo )
	( cd ${stdbuilddir}/lib/et && make com_err.info && \
	  texi2html -split_chapter -expandinfo ${topdir}/lib/et/com_err.texinfo )

  # specially-built MIPS lib
	if [ ismips = "${ismips}" ]; then \
		make -C ${mipsbuilddir}/util ; \
		make -C ${mipsbuilddir} libs LIB_SUBDIRS="lib/et lib/ext2fs" ; \
	fi

	touch ${BUILDSTDSTAMP}

build-bf: ${BUILDBFSTAMP}
${BUILDBFSTAMP}: ${CFGBFSTAMP}
	dh_testdir
	make -C ${bfbuilddir} all
	touch ${BUILDBFSTAMP}

clean:
	dh_testdir
	rm -rf ${STAMPSDIR}
	-make -C ${stdbuilddir} -i distclean
	-make -C ${bfbuilddir} -i distclean
	rm -rf ${stdbuilddir} ${bfbuilddir}
	rm -f doc/libext2fs_*.html lib/et/com_err_*.html debian/*.substvars
	dh_clean

install: cleanup install-std install-bf

# This rule allows to factorize the dh_clean between the 2 install rules
# This must be launched before install-* (if launching them by hand, for
# exemple) or results are unpredictable
cleanup:
	dh_testdir
	dh_testroot
	dh_clean -k

install-std: DH_OPTIONS=
install-std: build
	dh_testdir
	dh_testroot
	dh_installdirs

	mkdir -p ${tmpdir}/sbin
	make -C ${stdbuilddir} install DESTDIR=${tmpdir} \
		INSTALL_PROGRAM="${INSTALL_PROGRAM}" LDCONFIG=true
  # static libs and .h files
	make -C ${stdbuilddir} install-libs DESTDIR=${tmpdir} LDCONFIG=true

  # statically-linked fsck
	${INSTALL_PROGRAM} ${stdbuilddir}/e2fsck/e2fsck.static ${tmpdir}/sbin
	ln -s e2fsck.8.gz ${mandir}/man8/e2fsck.static.8.gz

  # specially-built MIPS lib
	if [ ismips = "${ismips}" ]; then \
		cp ${mipsbuilddir}/lib/libext2fs.a \
			${debdir}/e2fslibs-dev/usr/lib/libext2fs-nopic.a ; \
	fi

	dh_movefiles
	test -z `find ${tmpdir} -type f`

install-bf: DH_OPTIONS=
install-bf: build
	dh_testdir
	dh_testroot
	dh_installdirs

	mkdir -p ${bfdir}/sbin
	make -C ${bfbuilddir} install DESTDIR=${bfdir} \
		INSTALL_PROGRAM="${INSTALL_PROGRAM}" LDCONFIG=true
	rm -rf ${bfdir}/usr/share ${bfdir}/usr/lib
	cd ${bfdir}/sbin && rm -f e2label
	cd ${bfdir}/usr/bin && rm -f uuidgen


binary-indep: 
  # no arch-independant debs.

binary-arch: DH_OPTIONS= -a
binary-arch: install
	dh_testdir
	dh_testroot

  # remove obsolete maint-scripts provided by 1.26 upstream
	cd debian && rm -f comerr-dev.postinst e2fslibs-dev.postinst \
		e2fsprogs.postinst e2fsprogs.shlibs e2fsprogs.shlibs.in

  # lintian overrides
	for i in $$(cd debian && echo *.lintian-overrides); do \
		pkg=$${i%.lintian-overrides} ;\
		install -m644 -D -p debian/$$i ${debdir}/$${pkg}/usr/share/lintian/overrides/$${pkg} ;\
	done

  # mkinitrd script
	dh_install -p e2fsprogs debian/e2fsprogs.mkinitrd \
		/etc/mkinitrd/scripts

  # symlinks to prepare dh_installdocs run
	mkdir -p ${debdir}/e2fsck-static/usr/share/doc/
	ln -sf e2fsprogs ${debdir}/e2fsck-static/usr/share/doc/e2fsck-static

	mkdir -p ${debdir}/e2fslibs-dev/usr/share/doc/e2fsprogs
	ln -sf e2fsprogs ${debdir}/e2fslibs-dev/usr/share/doc/e2fslibs-dev

	mkdir -p ${debdir}/uuid-dev/usr/share/doc/e2fsprogs
	ln -sf e2fsprogs ${debdir}/uuid-dev/usr/share/doc/uuid-dev

  # comerr and ss have their own copyright notices
	mkdir -p ${maindir}/usr/share/doc/libcomerr${COMERR_SOVERSION}
	mkdir -p ${debdir}/comerr-dev/usr/share/doc/libcomerr${COMERR_SOVERSION}
	ln -sf libcomerr${COMERR_SOVERSION} ${debdir}/comerr-dev/usr/share/doc/comerr-dev

	mkdir -p ${maindir}/usr/share/doc/libss${SS_SOVERSION}
	mkdir -p ${debdir}/ss-dev/usr/share/doc/libss${SS_SOVERSION}

=== strace/debian/rules ===
#! /usr/bin/make -f
# test

# Debian package information
package		= strace

# C compiler information
CFLAGS		= -g -O2 -I/usr/src/linux/include

all build:	Makefile
	make $(MFLAGS) CFLAGS="$(CFLAGS)"
	touch stamp-build

clean:
	-make -f Makefile.in distclean
	rm -f stamp-build
	rm -rf debian/tmp debian/*substvars debian/files

Makefile:
	autoheader && autoconf
	./configure --prefix=/usr

binary: binary-indep binary-arch

binary-indep:

binary-arch: checkroot
	test -f stamp-build || make $(MFLAGS) -f debian/rules build
	-rm -rf debian/tmp debian/{files,substvars}

	install -d -m 755 -o root -g root debian/tmp
	# reset the mode to work around a bug in install
	chown 755 debian/tmp
	install -d -m 755 -o root -g root debian/tmp/DEBIAN

# Install documentation
	install -d -o root -g root -m 755 debian/tmp/usr/share/doc/$(package)
	install -p -o root -g root -m 644 debian/changelog \
			debian/tmp/usr/share/doc/$(package)/changelog.Debian
	install -p -o root -g root -m 644 TODO \
			debian/tmp/usr/share/doc/$(package)/TODO
	install -p -o root -g root -m 644 NEWS \
			debian/tmp/usr/share/doc/$(package)/changelog
	gzip -9 debian/tmp/usr/share/doc/$(package)/*
	install -p -o root -g root -m 644 debian/copyright \
			debian/tmp/usr/share/doc/$(package)/copyright

# Install strace
	install -d -o root -g root -m 755 debian/tmp/usr/bin debian/tmp/usr/share/man/man1
	install -s -o root -g root -m 755 strace debian/tmp/usr/bin/strace
	install -p -o root -g root -m 644 strace.1 debian/tmp/usr/share/man/man1/strace.1
	gzip -9 debian/tmp/usr/share/man/man1/strace.1

	install -p -o root -g root -m 755 debian/prerm debian/tmp/DEBIAN/
	install -p -o root -g root -m 755 debian/postinst debian/tmp/DEBIAN/

	dpkg-shlibdeps strace
	dpkg-gencontrol
	dpkg --build debian/tmp ..

checkroot:
	test root = "`whoami`"
